<?php $path = $this->upload_dir = sfContext::getInstance()->getRequest()->getRelativeUrlRoot() . '/uploads/cv/style/'; ?>
<?php use_stylesheet('le-frog/jquery-ui'); ?>
<?php include_stylesheets_for_form($form) ?>
<?php include_javascripts_for_form($form) ?>

<?php echo javascript_tag() ?>
jQuery(function() {
jQuery( "#accordion" ).accordion({heightStyle: "content" });
jQuery( ".Pomoc" ).tooltip({ position: { my: "left+5 center", at: "right center" } });
});
<?php end_javascript_tag() ?>

<style type="text/css">
.merge_panel {
    background: none !important;
    }
</style>

<div id="accordion">
    <h3><?php echo __('Dane osobowe') ?></h3>
    <form id="cvform" action="<?php echo url_for('noweCv/' . ($form->getObject()->isNew() ? 'create' : 'update') . (!$form->getObject()->isNew() ? '?id=' . $form->getObject()->getId() : '')) ?>" method="post" <?php $form->isMultipart() and print 'enctype="multipart/form-data" ' ?>>
        <?php echo $form->renderHiddenFields() ?>
        <?php if (!$form->getObject()->isNew()): ?>
            <input type="hidden" name="sf_method" value="put" />
        <?php endif; ?>
        <table class="formularz_cv" style=" margin-bottom: 20px;">
            <?php if($sf_user->hasFlash('notice')): ?>
                <tr><td colspan="3" style="font-size: 9pt; color: red; border-bottom: 1px solid red;"><?php echo $sf_user->getFlash('notice');?></td></tr>
            <?php endif;?>
            <tr><td colspan="3"><i style="font-size: 8pt;"><?php echo __('Pola oznaczone gwiazdką (*) są polami wymaganymi.') ?></i></td></tr>
            <tr>
                <td width="120px;"><?php echo $form['pl']['imie_nazwisko']->renderLabel() ?></th>
                <td><?php echo $form['pl']['imie_nazwisko']->render(array('class'=>$form['pl']['imie_nazwisko']->hasError() ? 'valid-err':'valid', 'title' => $form['pl']['imie_nazwisko']->hasError() ? __('Pole wymagane!'):''));?></td>
                <td width="32px;"><?php echo image_tag('/images/help.png', array('class' => 'Pomoc', 'alt' => 'Pomoc', 'title' => $form['pl']['imie_nazwisko']->renderHelp())) ?></td>
            </tr>
            <tr>
                <td width="120px;"><?php echo $form['pl']['ulica']->renderLabel() ?></th>
                <td><?php echo $form['pl']['ulica']->render(array('class'=>$form['pl']['ulica']->hasError() ? 'valid-err':'valid', 'title' => $form['pl']['ulica']->hasError() ? __('Pole wymagane!'):''));?></td>
                <td width="32px;"><?php echo image_tag('/images/help.png', array('class' => 'Pomoc', 'alt' => 'Pomoc', 'title' => $form['pl']['ulica']->renderHelp())) ?></td>
            </tr>
           <tr>
                <td width="120px;"><?php echo $form['pl']['kod']->renderLabel() ?></th>
                <td><?php echo $form['pl']['kod']->render(array('class'=>$form['pl']['kod']->hasError() ? 'valid-err':'valid', 'title' => $form['pl']['kod']->hasError() ? __('Pole wymagane!'):''));?></td>
                <td width="32px;"><?php echo image_tag('/images/help.png', array('class' => 'Pomoc', 'alt' => 'Pomoc', 'title' => $form['pl']['kod']->renderHelp())) ?></td>
            </tr>
            <tr>
                <td width="120px;"><?php echo $form['pl']['poczta']->renderLabel() ?></th>
                <td><?php echo $form['pl']['poczta']->render(array('class'=>$form['pl']['poczta']->hasError() ? 'valid-err':'valid', 'title' => $form['pl']['poczta']->hasError() ? __('Pole wymagane!'):''));?></td>
                <td width="32px;"><?php echo image_tag('/images/help.png', array('class' => 'Pomoc', 'alt' => 'Pomoc', 'title' => $form['pl']['poczta']->renderHelp())) ?></td>
            </tr>
            <tr>
                <td width="120px;"><?php echo $form['pl']['miasto']->renderLabel() ?></th>
                <td><?php echo $form['pl']['miasto']->render(array('class'=>$form['pl']['miasto']->hasError() ? 'valid-err':'valid', 'title' => $form['pl']['miasto']->hasError() ? __('Pole wymagane!'):''));?></td>
                <td width="32px;"><?php echo image_tag('/images/help.png', array('class' => 'Pomoc', 'alt' => 'Pomoc', 'title' => $form['pl']['miasto']->renderHelp())) ?></td>
            </tr>
            <tr>
                <td width="120px;"><?php echo $form['pl']['stan_cywilny']->renderLabel() ?></th>
                <td><?php echo $form['pl']['stan_cywilny']->render() ?></td>
                <td width="32px;"><?php echo image_tag('/images/help.png', array('class' => 'Pomoc', 'alt' => 'Pomoc', 'title' => $form['pl']['stan_cywilny']->renderHelp())) ?></td>
            </tr>
            <tr>
                <td width="120px;"><?php echo $form['telefon']->renderLabel() ?></td>
                <td>
                    <?php echo $form['telefon'] ?>
                </td>
                <td width="32px;"><?php echo image_tag('/images/help.png', array('class' => 'Pomoc', 'alt' => 'Pomoc', 'title' => $form['telefon']->renderHelp())) ?></td>
            </tr>
            <tr>
                <td width="120px;"><?php echo $form['email']->renderLabel() ?></td>
                <td>
                    <?php echo $form['email']->render(array('class'=>$form['email']->hasError() ? 'valid-err':'', 'title' => $form['email']->hasError() ? __('Podany adres zawiera niepoprawne znaki!'):''));?></td>
                </td>
                <td widt="32px;"><?php echo image_tag('/images/help.png', array('class' => 'Pomoc', 'alt' => 'Pomoc', 'title' => $form['email']->renderHelp())) ?></td>
            </tr>
            <tr>
                <td width="120px;"><?php echo $form['data_urodzenia']->renderLabel() ?></td>
                <td>
                    <?php echo $form['data_urodzenia']->renderError() ?>
                    <?php echo $form['data_urodzenia'] ?>
                </td>
                <td width="32px;"><?php echo image_tag('/images/help.png', array('class' => 'Pomoc', 'alt' => 'Pomoc', 'title' => $form['data_urodzenia']->renderHelp())) ?></td>
            </tr>
            <tr style="height: 65px;">
                <td width="120px;"><?php echo $form['zdjecie']->renderLabel() ?></td>
                <td>
                    <?php echo $form['zdjecie']->renderError() ?>
                    <?php echo $form['zdjecie'] ?>
                </td>
                <td width="32px;"><?php echo image_tag('/images/help.png', array('class' => 'Pomoc', 'alt' => 'Pomoc', 'title' => $form['zdjecie']->renderHelp())) ?></td>
            </tr>
            <tr style="height: 265px;">
                <td width="120px;"><?php echo $form['styl']->renderLabel() ?></td>
				
                <td class="fotocv" style="position: absolute;">
                    <?php $zaznaczony = $form->getObject()->getStyl(); ?>
                    <?php if($zaznaczony == 0) $zaznaczony = 1; ?>
                    <?php for ($i = 0; $i < $ile_styli; $i++): ?>
                        <div style="float:left;padding:3px;text-align:center;margin-right:5px; width: 173px; border: 1px solid silver;">
                            <img src="<?php echo $path . ($i + 1) . '.jpg' ?>" alt="" /><br/>
                            <input type="radio" name="cv_profile[styl]" value="<?php echo $i + 1 ?>" <?php echo((($i +1) == $zaznaczony)?'checked="checked"':''); ?>/>
                        </div>
                    <?php endfor; ?>
                </td>
                <td  style="display:none" width="32px"><?php echo image_tag('/images/help.png', array('class' => 'Pomoc', 'alt' => 'Pomoc', 'title' => $form['styl']->renderHelp())) ?></td>
            </tr>
        </table>
        <input type="submit" value="Zapisz" class="buttoncv" title="Zapisuje formularz, pozwalając przejść do następnych części." />
	<?php echo button_to(__('Zrezygnuj'), ($form->getObject()->isNew() ? '@homepage' : 'noweCv/delete?id=' . $form->getObject()->getId()), array('class' => 'buttoncv', 'title' => 'Powrót do strony głównej.')) ?>
    </form>
    <?php if (!$form->getObject()->isNew()): ?>
        <h3 class="menuitem" onClick="window.scrollTo(0,300);"><?php echo __('Wykształcenie') ?></h3>
        <div id="wyksztalcenie">
            <?php include_partial('noweCvWyksztalcenieZawod/list_wyksztalcenie', array('wyksztalcenie' => $wyksztalcenie, 'cvid' => $form->getObject()->getId())) ?>
        </div>
        <h3 class="menuitem" onClick="window.scrollTo(0,320);"><?php echo __('Doświadczenie zawodowe') ?></h3>
        <div id="zawod">
            <?php include_partial('noweCvWyksztalcenieZawod/list_zawod', array('zawod' => $zawod, 'cvid' => $form->getObject()->getId())) ?>
        </div>
        <h3 class="menuitem" onClick="window.scrollTo(0,340);"><?php echo __('Osiągnięcia') ?></h3>
        <div id="osiagniecia">
            <?php include_partial('noweCvOsiagnieciaKursy/list_osiagniecia', array('osiagniecia' => $osiagniecia, 'cvid' => $form->getObject()->getId())) ?>
        </div>
        <h3 class="menuitem" onClick="window.scrollTo(0,360);"><?php echo __('Kursy') ?></h3>
        <div id="kursy">
            <?php include_partial('noweCvOsiagnieciaKursy/list_kursy', array('kursy' => $kursy, 'cvid' => $form->getObject()->getId())) ?>
        </div>
        <h3 class="menuitem" onClick="window.scrollTo(0,380);"><?php echo __('Umiejętności') ?></h3>
        <div id="umiejetnosci">
            <?php include_partial('noweCvUmiejetnosciJezyki/list_umiejetnosci', array('umiejetnosci' => $umiejetnosci, 'cvid' => $form->getObject()->getId())) ?>
        </div>
        <h3 class="menuitem" onClick="window.scrollTo(0,400);"><?php echo __('Języki') ?></h3>
        <div id="jezyki">
            <?php include_partial('noweCvUmiejetnosciJezyki/list_jezyki', array('jezyki' => $jezyki, 'cvid' => $form->getObject()->getId())) ?>
        </div>
        <h3 class="menuitem" onClick="window.scrollTo(0,420);"><?php echo __('Zainteresowania') ?></h3>
        <div id="zainteresowania">
            <?php include_partial('noweCvInfoZainteresowania/list_zainteresowania', array('zainteresowania' => $zainteresowania, 'cvid' => $form->getObject()->getId())) ?>
        </div>
        <h3 class="menuitem" onClick="window.scrollTo(0,440);"><?php echo __('Dodatkowe informacje') ?></h3>
        <div id="informacje">
            <?php include_partial('noweCvInfoZainteresowania/list_informacje', array('info' => $info, 'cvid' => $form->getObject()->getId())) ?>
        </div>

    <?php endif; ?>
</div>
<div class="clr"></div>
<?php if (!$form->getObject()->isNew()): ?>
<div class="ui-corner-actions">
    <?php echo button_to(__('Zrezygnuj'), ($form->getObject()->isNew() ? '@homepage' : 'noweCv/delete?id=' . $form->getObject()->getId()), array('class' => 'buttoncv', 'title' => 'Powrót do strony głównej.')) ?>
    <?php //echo link_to(__('Zrezygnuj'), ($form->getObject()->isNew() ? '@homepage' : 'noweCv/delete?id=' . $form->getObject()->getId()), array('class' => 'buttoncv', 'title' => 'Powrót do strony głównej.')) ?>
    <?php echo button_to(__('generuj CV'), 'noweCv/generujCv?id=' . $form->getObject()->getId(), array('class' => 'buttoncv',)) ?>
    <?php $options = 'left=100,top=10,width=900,height=900,location=no,scrollbars =yes,resizable=no,directories=no,status=no,toolbar=no,menubar=no' ?>
    <?php //echo link_to(__('podgląd'), 'noweCv/podglad?id=' . $form->getObject()->getId(), array('class' => 'buttoncv', 'popup' => array('popupWindow', $options), 'query_string' => 'title=Podgląd', 'title' => 'Podgląd CV')); ?> 
</div>
<?php endif; ?>

