<?php use_helper('DateForm')?>
<?php $year_start = date('Y'); ?>
<?php $year_end = date('Y', strtotime('-55 years')); ?>
<?php $form = new CvWyksztalcenieZawodForm(); ?>
<?php
echo form_remote_tag(array(
    'update' => $identyfikator,
    'script' => true,
    'url' => 'noweCvWyksztalcenieZawod/save?cvid=' . $cvid . '&typ=' . $typ,
    'loading'  => visual_effect('appear', "iden_$identyfikator"),
    'complete' => visual_effect('fade', "iden_$identyfikator").
                  visual_effect('appear', "feed_$identyfikator").
                  visual_effect('fade', "feed_$identyfikator", array('duration' => '5.0')),
));
?>
<?php echo $form->renderHiddenFields() ?>
<table class="formularz_cv">
    <tr>
        <td width="120px"><label><?php echo 'Data od'; ?></label></td>
        <td><?php echo select_date_tag('cv_wyksztalcenie_zawod[data_od][' . $licznik . ']', '',array('year_start' => $year_start,'year_end' => $year_end, 'include_blank' => true, 'discard_day' => true)); ?></td>
        <td width="100px"><label><?php echo 'Data do'; ?></label></td>
        <td><?php echo select_date_tag('cv_wyksztalcenie_zawod[data_do][' . $licznik . ']', '',array('year_start' => $year_start,'year_end' => $year_end, 'include_blank' => true, 'discard_day' => true)); ?></td>
        <td width="32px"><?php echo image_tag('/images/help.png', array('class' => 'Pomoc', 'alt' => 'Pomoc', 'title' => _('Wybierz zakres dat. Możesz je wpisać w formacie MM-RRRR, lub kliknać na ikonkę obok pola i wybrać z kalendarza.'))) ?></td>
    </tr>
    <?php include_partial('noweCvWyksztalcenieZawod/cultures', array('form' => $form, 'identyfikator' => $identyfikator)) ?></td></tr>
    <tfoot><tr><td colspan="5">
            <input class="buttoncv" type="submit" value='<?php echo __('Zapisz') ?>' title="Zapisuje pozycję." />
            <?php if (($licznik != 1) && ($licznik != 201)): ?>
                <?php echo button_to_function(__('Anuluj'), "$('nowy_$identyfikator').hide()", array('class' => 'buttoncv', 'title' => 'Ukrywa pusty formularz.')) ?>
            <?php endif; ?>
        </td></tr>
    </tfoot>
</table>
</form>
