-- phpMyAdmin SQL Dump
-- version 4.4.15.3
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Czas generowania: 31 Sty 2017, 11:18
-- Wersja serwera: 5.7.17-log
-- Wersja PHP: 5.4.45

SET FOREIGN_KEY_CHECKS=0;
SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Baza danych: `sam3_szablon`
--

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `cv_info_zainteresowania`
--

CREATE TABLE IF NOT EXISTS `cv_info_zainteresowania` (
  `id` int(10) NOT NULL,
  `cv_profile` int(11) DEFAULT NULL,
  `typ` int(2) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `cv_info_zainteresowania_i18n`
--

CREATE TABLE IF NOT EXISTS `cv_info_zainteresowania_i18n` (
  `opis` varchar(200) COLLATE utf8_polish_ci DEFAULT NULL,
  `id` int(11) NOT NULL,
  `culture` varchar(7) COLLATE utf8_polish_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `cv_osiagniecia_kursy`
--

CREATE TABLE IF NOT EXISTS `cv_osiagniecia_kursy` (
  `id` int(11) NOT NULL,
  `cv_profile` int(11) DEFAULT NULL,
  `typ` int(2) DEFAULT NULL,
  `data` date DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `cv_osiagniecia_kursy_i18n`
--

CREATE TABLE IF NOT EXISTS `cv_osiagniecia_kursy_i18n` (
  `nazwa` varchar(200) COLLATE utf8_polish_ci DEFAULT NULL,
  `szczegoly` text COLLATE utf8_polish_ci,
  `id` int(11) NOT NULL,
  `culture` varchar(7) COLLATE utf8_polish_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `cv_profile`
--

CREATE TABLE IF NOT EXISTS `cv_profile` (
  `id` int(10) NOT NULL,
  `telefon` varchar(255) COLLATE utf8_polish_ci DEFAULT '',
  `email` varchar(255) COLLATE utf8_polish_ci DEFAULT '',
  `data_urodzenia` date DEFAULT NULL,
  `zdjecie` varchar(255) COLLATE utf8_polish_ci DEFAULT '',
  `ip` varchar(39) COLLATE utf8_polish_ci DEFAULT '',
  `styl` int(2) NOT NULL,
  `styl_jezyk` varchar(5) COLLATE utf8_polish_ci DEFAULT 'pl'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `cv_profile_i18n`
--

CREATE TABLE IF NOT EXISTS `cv_profile_i18n` (
  `imie_nazwisko` varchar(255) COLLATE utf8_polish_ci NOT NULL,
  `ulica` varchar(127) COLLATE utf8_polish_ci NOT NULL,
  `kod` varchar(10) COLLATE utf8_polish_ci NOT NULL,
  `poczta` varchar(127) COLLATE utf8_polish_ci DEFAULT NULL,
  `miasto` varchar(127) COLLATE utf8_polish_ci NOT NULL,
  `stan_cywilny` varchar(255) COLLATE utf8_polish_ci NOT NULL,
  `id` int(11) NOT NULL,
  `culture` varchar(7) COLLATE utf8_polish_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `cv_umiejetnosci_jezyki`
--

CREATE TABLE IF NOT EXISTS `cv_umiejetnosci_jezyki` (
  `id` int(11) NOT NULL,
  `cv_profile` int(11) DEFAULT NULL,
  `typ` int(2) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `cv_umiejetnosci_jezyki_i18n`
--

CREATE TABLE IF NOT EXISTS `cv_umiejetnosci_jezyki_i18n` (
  `nazwa` varchar(200) COLLATE utf8_polish_ci DEFAULT NULL,
  `szczegoly` text COLLATE utf8_polish_ci,
  `id` int(11) NOT NULL,
  `culture` varchar(7) COLLATE utf8_polish_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `cv_wyksztalcenie_zawod`
--

CREATE TABLE IF NOT EXISTS `cv_wyksztalcenie_zawod` (
  `id` int(10) NOT NULL,
  `cv_profile` int(11) DEFAULT NULL,
  `typ` int(2) DEFAULT NULL,
  `data_od` date DEFAULT NULL,
  `data_do` date DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `cv_wyksztalcenie_zawod_i18n`
--

CREATE TABLE IF NOT EXISTS `cv_wyksztalcenie_zawod_i18n` (
  `nazwa` varchar(200) COLLATE utf8_polish_ci DEFAULT NULL,
  `szczegoly` text COLLATE utf8_polish_ci,
  `id` int(11) NOT NULL,
  `culture` varchar(7) COLLATE utf8_polish_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

--
-- Indeksy dla zrzutów tabel
--

--
-- Indexes for table `cv_info_zainteresowania`
--
ALTER TABLE `cv_info_zainteresowania`
  ADD PRIMARY KEY (`id`),
  ADD KEY `cv_info_zainteresowania_FI_1` (`cv_profile`);

--
-- Indexes for table `cv_info_zainteresowania_i18n`
--
ALTER TABLE `cv_info_zainteresowania_i18n`
  ADD PRIMARY KEY (`id`,`culture`);

--
-- Indexes for table `cv_osiagniecia_kursy`
--
ALTER TABLE `cv_osiagniecia_kursy`
  ADD PRIMARY KEY (`id`),
  ADD KEY `cv_osiagniecia_kursy_FI_1` (`cv_profile`);

--
-- Indexes for table `cv_osiagniecia_kursy_i18n`
--
ALTER TABLE `cv_osiagniecia_kursy_i18n`
  ADD PRIMARY KEY (`id`,`culture`);

--
-- Indexes for table `cv_profile`
--
ALTER TABLE `cv_profile`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `cv_profile_i18n`
--
ALTER TABLE `cv_profile_i18n`
  ADD PRIMARY KEY (`id`,`culture`);

--
-- Indexes for table `cv_umiejetnosci_jezyki`
--
ALTER TABLE `cv_umiejetnosci_jezyki`
  ADD PRIMARY KEY (`id`),
  ADD KEY `cv_umiejetnosci_jezyki_FI_1` (`cv_profile`);

--
-- Indexes for table `cv_umiejetnosci_jezyki_i18n`
--
ALTER TABLE `cv_umiejetnosci_jezyki_i18n`
  ADD PRIMARY KEY (`id`,`culture`);

--
-- Indexes for table `cv_wyksztalcenie_zawod`
--
ALTER TABLE `cv_wyksztalcenie_zawod`
  ADD PRIMARY KEY (`id`),
  ADD KEY `cv_wyksztalcenie_zawod_FI_1` (`cv_profile`);

--
-- Indexes for table `cv_wyksztalcenie_zawod_i18n`
--
ALTER TABLE `cv_wyksztalcenie_zawod_i18n`
  ADD PRIMARY KEY (`id`,`culture`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT dla tabeli `cv_info_zainteresowania`
--
ALTER TABLE `cv_info_zainteresowania`
  MODIFY `id` int(10) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT dla tabeli `cv_osiagniecia_kursy`
--
ALTER TABLE `cv_osiagniecia_kursy`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT dla tabeli `cv_profile`
--
ALTER TABLE `cv_profile`
  MODIFY `id` int(10) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT dla tabeli `cv_umiejetnosci_jezyki`
--
ALTER TABLE `cv_umiejetnosci_jezyki`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT dla tabeli `cv_wyksztalcenie_zawod`
--
ALTER TABLE `cv_wyksztalcenie_zawod`
  MODIFY `id` int(10) NOT NULL AUTO_INCREMENT;
--
-- Ograniczenia dla zrzutów tabel
--

--
-- Ograniczenia dla tabeli `cv_info_zainteresowania`
--
ALTER TABLE `cv_info_zainteresowania`
  ADD CONSTRAINT `cv_info_zainteresowania_FK_1` FOREIGN KEY (`cv_profile`) REFERENCES `cv_profile` (`id`);

--
-- Ograniczenia dla tabeli `cv_info_zainteresowania_i18n`
--
ALTER TABLE `cv_info_zainteresowania_i18n`
  ADD CONSTRAINT `cv_info_zainteresowania_i18n_FK_1` FOREIGN KEY (`id`) REFERENCES `cv_info_zainteresowania` (`id`) ON DELETE CASCADE;

--
-- Ograniczenia dla tabeli `cv_osiagniecia_kursy`
--
ALTER TABLE `cv_osiagniecia_kursy`
  ADD CONSTRAINT `cv_osiagniecia_kursy_FK_1` FOREIGN KEY (`cv_profile`) REFERENCES `cv_profile` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Ograniczenia dla tabeli `cv_osiagniecia_kursy_i18n`
--
ALTER TABLE `cv_osiagniecia_kursy_i18n`
  ADD CONSTRAINT `cv_osiagniecia_kursy_i18n_FK_1` FOREIGN KEY (`id`) REFERENCES `cv_osiagniecia_kursy` (`id`) ON DELETE CASCADE;

--
-- Ograniczenia dla tabeli `cv_profile_i18n`
--
ALTER TABLE `cv_profile_i18n`
  ADD CONSTRAINT `cv_profile_i18n_FK_1` FOREIGN KEY (`id`) REFERENCES `cv_profile` (`id`) ON DELETE CASCADE;

--
-- Ograniczenia dla tabeli `cv_umiejetnosci_jezyki`
--
ALTER TABLE `cv_umiejetnosci_jezyki`
  ADD CONSTRAINT `cv_umiejetnosci_jezyki_FK_1` FOREIGN KEY (`cv_profile`) REFERENCES `cv_profile` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Ograniczenia dla tabeli `cv_umiejetnosci_jezyki_i18n`
--
ALTER TABLE `cv_umiejetnosci_jezyki_i18n`
  ADD CONSTRAINT `cv_umiejetnosci_jezyki_i18n_FK_1` FOREIGN KEY (`id`) REFERENCES `cv_umiejetnosci_jezyki` (`id`) ON DELETE CASCADE;

--
-- Ograniczenia dla tabeli `cv_wyksztalcenie_zawod`
--
ALTER TABLE `cv_wyksztalcenie_zawod`
  ADD CONSTRAINT `cv_wyksztalcenie_zawod_FK_1` FOREIGN KEY (`cv_profile`) REFERENCES `cv_profile` (`id`);

--
-- Ograniczenia dla tabeli `cv_wyksztalcenie_zawod_i18n`
--
ALTER TABLE `cv_wyksztalcenie_zawod_i18n`
  ADD CONSTRAINT `cv_wyksztalcenie_zawod_i18n_FK_1` FOREIGN KEY (`id`) REFERENCES `cv_wyksztalcenie_zawod` (`id`) ON DELETE CASCADE;

--
-- Zrzut danych tabeli `modul`
--

REPLACE INTO `modul` (`id`, `short`, `permissions`, `multisite`, `banners`, `nazwa`, `tab_color`, `is_menu`, `show_in_portal`) VALUES
(40, 'nwCv', 0, 0, 0, 'Kreator CV', 3, 1, 1);

SET FOREIGN_KEY_CHECKS=1;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
