<?php

require_once(sfConfig::get('sf_lib_dir').'/filter/base/BaseFormFilterPropel.class.php');

/**
 * Cv filter form base class.
 *
 * @package    sam3
 * @subpackage filter
 * @author     Your name here
 */
class BaseCvFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'created_at'      => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormDate(), 'to_date' => new sfWidgetFormDate(), 'with_empty' => true)),
      'nazwisko'        => new sfWidgetFormFilterInput(),
      'ulica'           => new sfWidgetFormFilterInput(),
      'miejscowosc'     => new sfWidgetFormFilterInput(),
      'kod_pocztowy'    => new sfWidgetFormFilterInput(),
      'telefon'         => new sfWidgetFormFilterInput(),
      'fax'             => new sfWidgetFormFilterInput(),
      'email'           => new sfWidgetFormFilterInput(),
      'wyksztalcenie'   => new sfWidgetFormFilterInput(),
      'praca'           => new sfWidgetFormFilterInput(),
      'kursy'           => new sfWidgetFormFilterInput(),
      'zainteresowania' => new sfWidgetFormFilterInput(),
      'dodatkowe'       => new sfWidgetFormFilterInput(),
      'zdjecie'         => new sfWidgetFormFilterInput(),
      'jezyk1'          => new sfWidgetFormFilterInput(),
      'jezyk2'          => new sfWidgetFormFilterInput(),
      'jezyk3'          => new sfWidgetFormFilterInput(),
      'ip'              => new sfWidgetFormFilterInput(),
      'styl'            => new sfWidgetFormFilterInput(),
      'styl_jezyk'      => new sfWidgetFormFilterInput(),
    ));

    $this->setValidators(array(
      'created_at'      => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDate(array('required' => false)), 'to_date' => new sfValidatorDate(array('required' => false)))),
      'nazwisko'        => new sfValidatorPass(array('required' => false)),
      'ulica'           => new sfValidatorPass(array('required' => false)),
      'miejscowosc'     => new sfValidatorPass(array('required' => false)),
      'kod_pocztowy'    => new sfValidatorPass(array('required' => false)),
      'telefon'         => new sfValidatorPass(array('required' => false)),
      'fax'             => new sfValidatorPass(array('required' => false)),
      'email'           => new sfValidatorPass(array('required' => false)),
      'wyksztalcenie'   => new sfValidatorPass(array('required' => false)),
      'praca'           => new sfValidatorPass(array('required' => false)),
      'kursy'           => new sfValidatorPass(array('required' => false)),
      'zainteresowania' => new sfValidatorPass(array('required' => false)),
      'dodatkowe'       => new sfValidatorPass(array('required' => false)),
      'zdjecie'         => new sfValidatorPass(array('required' => false)),
      'jezyk1'          => new sfValidatorPass(array('required' => false)),
      'jezyk2'          => new sfValidatorPass(array('required' => false)),
      'jezyk3'          => new sfValidatorPass(array('required' => false)),
      'ip'              => new sfValidatorPass(array('required' => false)),
      'styl'            => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'styl_jezyk'      => new sfValidatorPass(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('cv_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'Cv';
  }

  public function getFields()
  {
    return array(
      'id'              => 'Number',
      'created_at'      => 'Date',
      'nazwisko'        => 'Text',
      'ulica'           => 'Text',
      'miejscowosc'     => 'Text',
      'kod_pocztowy'    => 'Text',
      'telefon'         => 'Text',
      'fax'             => 'Text',
      'email'           => 'Text',
      'wyksztalcenie'   => 'Text',
      'praca'           => 'Text',
      'kursy'           => 'Text',
      'zainteresowania' => 'Text',
      'dodatkowe'       => 'Text',
      'zdjecie'         => 'Text',
      'jezyk1'          => 'Text',
      'jezyk2'          => 'Text',
      'jezyk3'          => 'Text',
      'ip'              => 'Text',
      'styl'            => 'Number',
      'styl_jezyk'      => 'Text',
    );
  }
}
