<?php

require_once(sfConfig::get('sf_lib_dir').'/filter/base/BaseFormFilterPropel.class.php');

/**
 * CvInfoZainteresowania filter form base class.
 *
 * @package    sam3
 * @subpackage filter
 * @author     Your name here
 */
class BaseCvInfoZainteresowaniaFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'cv_profile' => new sfWidgetFormPropelChoice(array('model' => 'CvProfile', 'add_empty' => true)),
      'typ'        => new sfWidgetFormFilterInput(),
    ));

    $this->setValidators(array(
      'cv_profile' => new sfValidatorPropelChoice(array('required' => false, 'model' => 'CvProfile', 'column' => 'id')),
      'typ'        => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
    ));

    $this->widgetSchema->setNameFormat('cv_info_zainteresowania_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'CvInfoZainteresowania';
  }

  public function getFields()
  {
    return array(
      'id'         => 'Number',
      'cv_profile' => 'ForeignKey',
      'typ'        => 'Number',
    );
  }
}
