<?php

require_once(sfConfig::get('sf_lib_dir').'/filter/base/BaseFormFilterPropel.class.php');

/**
 * CvOsiagnieciaKursyI18n filter form base class.
 *
 * @package    sam3
 * @subpackage filter
 * @author     Your name here
 */
class BaseCvOsiagnieciaKursyI18nFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'nazwa'     => new sfWidgetFormFilterInput(),
      'szczegoly' => new sfWidgetFormFilterInput(),
    ));

    $this->setValidators(array(
      'nazwa'     => new sfValidatorPass(array('required' => false)),
      'szczegoly' => new sfValidatorPass(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('cv_osiagniecia_kursy_i18n_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'CvOsiagnieciaKursyI18n';
  }

  public function getFields()
  {
    return array(
      'nazwa'     => 'Text',
      'szczegoly' => 'Text',
      'id'        => 'ForeignKey',
      'culture'   => 'Text',
    );
  }
}
