<?php

require_once(sfConfig::get('sf_lib_dir').'/filter/base/BaseFormFilterPropel.class.php');

/**
 * CvProfile filter form base class.
 *
 * @package    sam3
 * @subpackage filter
 * @author     Your name here
 */
class BaseCvProfileFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'telefon'        => new sfWidgetFormFilterInput(),
      'email'          => new sfWidgetFormFilterInput(),
      'data_urodzenia' => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormDate(), 'to_date' => new sfWidgetFormDate(), 'with_empty' => true)),
      'zdjecie'        => new sfWidgetFormFilterInput(),
      'ip'             => new sfWidgetFormFilterInput(),
      'styl'           => new sfWidgetFormFilterInput(),
      'styl_jezyk'     => new sfWidgetFormFilterInput(),
    ));

    $this->setValidators(array(
      'telefon'        => new sfValidatorPass(array('required' => false)),
      'email'          => new sfValidatorPass(array('required' => false)),
      'data_urodzenia' => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDate(array('required' => false)), 'to_date' => new sfValidatorDate(array('required' => false)))),
      'zdjecie'        => new sfValidatorPass(array('required' => false)),
      'ip'             => new sfValidatorPass(array('required' => false)),
      'styl'           => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'styl_jezyk'     => new sfValidatorPass(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('cv_profile_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'CvProfile';
  }

  public function getFields()
  {
    return array(
      'id'             => 'Number',
      'telefon'        => 'Text',
      'email'          => 'Text',
      'data_urodzenia' => 'Date',
      'zdjecie'        => 'Text',
      'ip'             => 'Text',
      'styl'           => 'Number',
      'styl_jezyk'     => 'Text',
    );
  }
}
