<?php

require_once(sfConfig::get('sf_lib_dir').'/filter/base/BaseFormFilterPropel.class.php');

/**
 * CvWyksztalcenieZawod filter form base class.
 *
 * @package    sam3
 * @subpackage filter
 * @author     Your name here
 */
class BaseCvWyksztalcenieZawodFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'cv_profile' => new sfWidgetFormPropelChoice(array('model' => 'CvProfile', 'add_empty' => true)),
      'typ'        => new sfWidgetFormFilterInput(),
      'data_od'    => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormDate(), 'to_date' => new sfWidgetFormDate(), 'with_empty' => true)),
      'data_do'    => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormDate(), 'to_date' => new sfWidgetFormDate(), 'with_empty' => true)),
    ));

    $this->setValidators(array(
      'cv_profile' => new sfValidatorPropelChoice(array('required' => false, 'model' => 'CvProfile', 'column' => 'id')),
      'typ'        => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'data_od'    => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDate(array('required' => false)), 'to_date' => new sfValidatorDate(array('required' => false)))),
      'data_do'    => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDate(array('required' => false)), 'to_date' => new sfValidatorDate(array('required' => false)))),
    ));

    $this->widgetSchema->setNameFormat('cv_wyksztalcenie_zawod_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'CvWyksztalcenieZawod';
  }

  public function getFields()
  {
    return array(
      'id'         => 'Number',
      'cv_profile' => 'ForeignKey',
      'typ'        => 'Number',
      'data_od'    => 'Date',
      'data_do'    => 'Date',
    );
  }
}
