<?php

/**
 * Cv form.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfPropelFormTemplate.php 10377 2008-07-21 07:10:32Z dwhittle $
 */
class CvForm extends BaseCvForm
{
  public function configure()
  {
  	$criteria = JezykTblPeer::getBasicLangCriteriaForModul('cvcv');
  	$this->setWidgets(array(
      'id'              => new sfWidgetFormInputHidden(),
      'created_at'      => new sfWidgetFormInputHidden(),
      'nazwisko'        => new sfWidgetFormInput(),
      'ulica'           => new sfWidgetFormInput(),
      'miejscowosc'     => new sfWidgetFormInput(),
      'kod_pocztowy'    => new sfWidgetFormInput(),
      'telefon'         => new sfWidgetFormInput(),
      'fax'             => new sfWidgetFormInput(),
      'email'           => new sfWidgetFormInput(),
      'wyksztalcenie'   => new sfWidgetFormTextareaTinyMCE(array(
        'config'=>'
			language: "pl",
			width: "400",
  			theme_advanced_buttons1 : "bold,italic,underline,separator,strikethrough,justifyleft,justifycenter,justifyright,justifyfull,bullist,numlist,undo,redo,",
			theme_advanced_buttons2 : "",
			theme_advanced_buttons3 : "",
			theme_advanced_toolbar_location : "top",
			theme_advanced_toolbar_align : "left",
			theme_advanced_statusbar_location : "bottom",
  			theme : "advanced",
  			theme_advanced_resizing : false,
			debug: false
        ',),
      array(
        'class'   =>  'tiny_mce_1'
      )),
      'praca'           => new sfWidgetFormTextareaTinyMCE(array(
        'config'=>'
			language: "pl",
			width: "400",
  			theme_advanced_buttons1 : "bold,italic,underline,separator,strikethrough,justifyleft,justifycenter,justifyright,justifyfull,bullist,numlist,undo,redo,",
			theme_advanced_buttons2 : "",
			theme_advanced_buttons3 : "",
			theme_advanced_toolbar_location : "top",
			theme_advanced_toolbar_align : "left",
			theme_advanced_statusbar_location : "bottom",
  			theme : "advanced",
  			theme_advanced_resizing : false,
			debug: false
        ',),
      array(
        'class'   =>  'tiny_mce_2'
      )),
      'kursy'           => new sfWidgetFormTextareaTinyMCE(array(
        'config'=>'
			language: "pl",
			width: "400",
  			theme_advanced_buttons1 : "bold,italic,underline,separator,strikethrough,justifyleft,justifycenter,justifyright,justifyfull,bullist,numlist,undo,redo,",
			theme_advanced_buttons2 : "",
			theme_advanced_buttons3 : "",
			theme_advanced_toolbar_location : "top",
			theme_advanced_toolbar_align : "left",
			theme_advanced_statusbar_location : "bottom",
  			theme : "advanced",
  			theme_advanced_resizing : false,
			debug: false
        ',),
      array(
        'class'   =>  'tiny_mce_3'
      )),
      'zainteresowania' => new sfWidgetFormTextareaTinyMCE(array(
        'config'=>'
			language: "pl",
			width: "400",
  			theme_advanced_buttons1 : "bold,italic,underline,separator,strikethrough,justifyleft,justifycenter,justifyright,justifyfull,bullist,numlist,undo,redo,",
			theme_advanced_buttons2 : "",
			theme_advanced_buttons3 : "",
			theme_advanced_toolbar_location : "top",
			theme_advanced_toolbar_align : "left",
			theme_advanced_statusbar_location : "bottom",
  			theme : "advanced",
  			theme_advanced_resizing : false,
			debug: false
        ',),
      array(
        'class'   =>  'tiny_mce_4'
      )),
      'dodatkowe'       => new sfWidgetFormTextareaTinyMCE(array(
        'config'=>'
			language: "pl",
			width: "400",
  			theme_advanced_buttons1 : "bold,italic,underline,separator,strikethrough,justifyleft,justifycenter,justifyright,justifyfull,bullist,numlist,undo,redo,",
			theme_advanced_buttons2 : "",
			theme_advanced_buttons3 : "",
			theme_advanced_toolbar_location : "top",
			theme_advanced_toolbar_align : "left",
			theme_advanced_statusbar_location : "bottom",
  			theme : "advanced",
  			theme_advanced_resizing : false,
			debug: false
        ',),
      array(
        'class'   =>  'tiny_mce_5'
      )),
      'zdjecie'         => new sfWidgetFormInputFile(),
      'jezyk1'          => new sfWidgetFormInput(),
      'jezyk2'          => new sfWidgetFormInput(),
      'jezyk3'          => new sfWidgetFormInput(),
      'zdjecie'         => new sfWidgetFormInputFile(),
            'ip'              => new sfWidgetFormInputHidden(),
      'styl'            => new sfWidgetFormInput(),
      'styl_jezyk'      => new sfWidgetFormPropelChoice(array(
                'model'     => 'JezykTbl',
                'add_empty' => false,
                'criteria' => $criteria,
      			'key_method' => 'getJezykSkrot'
            )),
    ));

    $this->setValidators(array(
      'id'              => new sfValidatorPropelChoice(array('model' => 'Cv', 'column' => 'id', 'required' => false)),
      'created_at'      => new sfValidatorDateTime(array('required' => false)),
      'nazwisko'        => new sfValidatorString(array('max_length' => 255)),
      'ulica'           => new sfValidatorString(array('max_length' => 255)),
      'miejscowosc'     => new sfValidatorString(array('max_length' => 255)),
      'kod_pocztowy'    => new sfValidatorString(array('max_length' => 6)),
      'telefon'         => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'fax'             => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'email'           => new sfValidatorEmail(array('max_length' => 255, 'required' => false)),
      'wyksztalcenie'   => new sfValidatorString(array('required' => false)),
      'praca'           => new sfValidatorString(array('required' => false)),
      'kursy'           => new sfValidatorString(array('required' => false)),
      'zainteresowania' => new sfValidatorString(array('required' => false)),
      'dodatkowe'       => new sfValidatorString(array('required' => false)),
      'zdjecie'         =>  new ciValidatorFile(
               array('max_size' => 500000, 'required' => false, 'mime_types' => 'web_images'),
               array('max_size' => 'Maksymalna wielkość pliku to 500KB', 'mime_types' => 'Nieprawidłowy typ pliku!')
               ),
      'jezyk1'          => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'jezyk2'          => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'jezyk3'          => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'ip'              => new sfValidatorString(array('max_length' => 39, 'required' => false)),
      'styl'            => new sfValidatorInteger(),
      'styl_jezyk'      => new sfValidatorPropelChoice(array('model' => 'JezykTbl', 'column' => 'jezyk_skrot', 'criteria' => $criteria,), 
            array('invalid'=>'Nieprawidłowy język!', 'required' => 'Pole wymagane!')),
    ));
    
       $this->widgetSchema->setLabels(array(
            'jezyk1' => 'Języki obce',
            'zdjecie' => 'Zdjęcie',
            'styl_jezyk' => 'Generuj CV w języku',
            'miejscowosc' => 'Miejscowość',
            'wyksztalcenie' => 'Wykształcenie',
            'praca' => 'Doświadczenie zawodowe/praktyka',
            'dodatkowe' => 'Dodatkowe informacje',
            'styl' => 'Szablon CV',
            
        ));

    $this->widgetSchema->setNameFormat('cv[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);
  }
}
