<?php

/**
 * CvUmiejetnosciJezykiI18n form.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class CvUmiejetnosciJezykiI18nForm extends BaseCvUmiejetnosciJezykiI18nForm
{  
    protected static $poziom = array('dostateczny', 'dobry', 'bardzo dobry');
    public function configure() {
        parent::configure();

        $this->setWidgets(array(
            'nazwa' => new sfWidgetFormInput(),
            'szczegoly' => new sfWidgetFormSelect(array('choices' => self::$poziom)),
        ));

        $this->setValidators(array(
            'nazwa' => new sfValidatorString(array('max_length' => 255, 'required' => true)),
            'szczegoly' => new sfValidatorChoice(array('choices' => array_keys(self::$poziom)),array('required' => false)),
            'id' => new sfValidatorPropelChoice(array('model' => 'CvUmiejetnosciJezyki', 'column' => 'id')),
            'culture' => new sfValidatorPropelChoice(array('model' => 'CvUmiejetnosciJezykiI18n', 'column' => 'culture')),
        ));
        
        $this->widgetSchema->setLabels(array(
        // Dane osobowe 
            'nazwa' => 'Nazwa *',
            'szczegoly' => 'Poziom',        
        ));

        $this->widgetSchema->setNameFormat('cv_umiejetnosci_jezyki[%s]');
        $this->getWidgetSchema()->getFormFormatter()->setHelpFormat('%help%');
        $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);
    }
}
