<?php

/**
 * CvWyksztalcenieZawod form.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class CvWyksztalcenieZawodForm extends BaseCvWyksztalcenieZawodForm
{
  public function configure()
  {

        $this->setWidgets(array(
            'id' => new sfWidgetFormInputHidden(),
            'cv_profile' => new sfWidgetFormInputHidden(),
            'data_od' => new sfWidgetFormI18nDate(array('culture'=>'pl','format' => '%year% - %month%','years' => array_combine(range(date('Y'), 1970), range(date('Y'), 1970)))),
            'data_do' => new sfWidgetFormI18nDate(array('culture'=>'pl','format' => '%year% - %month%','years' => array_combine(range(date('Y'), 1970), range(date('Y'), 1970)))),
            ));

        $this->setValidators(array(
            'id' => new sfValidatorPropelChoice(array('model' => 'CvWyksztalcenieZawod', 'column' => 'id', 'required' => false)),
            'cv_profile' => new sfValidatorPropelChoice(array('model' => 'CvProfile', 'column' => 'id')),
            'data_od' => new sfValidatorDate(),
            'data_do' => new sfValidatorDate(),
        ));
		
		$this->widgetSchema->setLabels(array(
			'data_od' => 'Data rozpoczęcia',
			'data_do' => 'Data zakończenia'
		));
        
        $this->embedI18n(array('pl'));

        $this->widgetSchema->setNameFormat('cv_wyksztalcenie_zawod[%s]');
        $this->getWidgetSchema()->getFormFormatter()->setHelpFormat('%help%');
        $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);
  }
}
