<?php

/**
 * Cv form base class.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class BaseCvForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'              => new sfWidgetFormInputHidden(),
      'created_at'      => new sfWidgetFormDateTime(),
      'nazwisko'        => new sfWidgetFormInput(),
      'ulica'           => new sfWidgetFormInput(),
      'miejscowosc'     => new sfWidgetFormInput(),
      'kod_pocztowy'    => new sfWidgetFormInput(),
      'telefon'         => new sfWidgetFormInput(),
      'fax'             => new sfWidgetFormInput(),
      'email'           => new sfWidgetFormInput(),
      'wyksztalcenie'   => new sfWidgetFormTextarea(),
      'praca'           => new sfWidgetFormTextarea(),
      'kursy'           => new sfWidgetFormTextarea(),
      'zainteresowania' => new sfWidgetFormTextarea(),
      'dodatkowe'       => new sfWidgetFormTextarea(),
      'zdjecie'         => new sfWidgetFormInput(),
      'jezyk1'          => new sfWidgetFormInput(),
      'jezyk2'          => new sfWidgetFormInput(),
      'jezyk3'          => new sfWidgetFormInput(),
      'ip'              => new sfWidgetFormInput(),
      'styl'            => new sfWidgetFormInput(),
      'styl_jezyk'      => new sfWidgetFormInput(),
    ));

    $this->setValidators(array(
      'id'              => new sfValidatorPropelChoice(array('model' => 'Cv', 'column' => 'id', 'required' => false)),
      'created_at'      => new sfValidatorDateTime(array('required' => false)),
      'nazwisko'        => new sfValidatorString(array('max_length' => 255)),
      'ulica'           => new sfValidatorString(array('max_length' => 255)),
      'miejscowosc'     => new sfValidatorString(array('max_length' => 255)),
      'kod_pocztowy'    => new sfValidatorString(array('max_length' => 6)),
      'telefon'         => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'fax'             => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'email'           => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'wyksztalcenie'   => new sfValidatorString(array('required' => false)),
      'praca'           => new sfValidatorString(array('required' => false)),
      'kursy'           => new sfValidatorString(array('required' => false)),
      'zainteresowania' => new sfValidatorString(array('required' => false)),
      'dodatkowe'       => new sfValidatorString(array('required' => false)),
      'zdjecie'         => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'jezyk1'          => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'jezyk2'          => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'jezyk3'          => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'ip'              => new sfValidatorString(array('max_length' => 39, 'required' => false)),
      'styl'            => new sfValidatorInteger(),
      'styl_jezyk'      => new sfValidatorString(array('max_length' => 5, 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('cv[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'Cv';
  }


}
