<?php

/**
 * CvInfoZainteresowaniaI18n form base class.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class BaseCvInfoZainteresowaniaI18nForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'opis'    => new sfWidgetFormInput(),
      'id'      => new sfWidgetFormInputHidden(),
      'culture' => new sfWidgetFormInputHidden(),
    ));

    $this->setValidators(array(
      'opis'    => new sfValidatorString(array('max_length' => 200, 'required' => false)),
      'id'      => new sfValidatorPropelChoice(array('model' => 'CvInfoZainteresowania', 'column' => 'id', 'required' => false)),
      'culture' => new sfValidatorPropelChoice(array('model' => 'CvInfoZainteresowaniaI18n', 'column' => 'culture', 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('cv_info_zainteresowania_i18n[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'CvInfoZainteresowaniaI18n';
  }


}
