<?php

/**
 * CvWyksztalcenieZawod form base class.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class BaseCvWyksztalcenieZawodForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'         => new sfWidgetFormInputHidden(),
      'cv_profile' => new sfWidgetFormPropelChoice(array('model' => 'CvProfile', 'add_empty' => true)),
      'typ'        => new sfWidgetFormInput(),
      'data_od'    => new sfWidgetFormDate(),
      'data_do'    => new sfWidgetFormDate(),
    ));

    $this->setValidators(array(
      'id'         => new sfValidatorPropelChoice(array('model' => 'CvWyksztalcenieZawod', 'column' => 'id', 'required' => false)),
      'cv_profile' => new sfValidatorPropelChoice(array('model' => 'CvProfile', 'column' => 'id', 'required' => false)),
      'typ'        => new sfValidatorInteger(array('required' => false)),
      'data_od'    => new sfValidatorDate(array('required' => false)),
      'data_do'    => new sfValidatorDate(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('cv_wyksztalcenie_zawod[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'CvWyksztalcenieZawod';
  }

  public function getI18nModelName()
  {
    return 'CvWyksztalcenieZawodI18n';
  }

  public function getI18nFormClass()
  {
    return 'CvWyksztalcenieZawodI18nForm';
  }

}
