<?php



class CvOsiagnieciaKursyMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.CvOsiagnieciaKursyMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(CvOsiagnieciaKursyPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(CvOsiagnieciaKursyPeer::TABLE_NAME);
		$tMap->setPhpName('CvOsiagnieciaKursy');
		$tMap->setClassname('CvOsiagnieciaKursy');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'INTEGER', true, null);

		$tMap->addForeignKey('CV_PROFILE', 'CvProfile', 'INTEGER', 'cv_profile', 'ID', false, 11);

		$tMap->addColumn('TYP', 'Typ', 'INTEGER', false, 2);

		$tMap->addColumn('DATA', 'Data', 'DATE', false, null);

	} 
} 