<?php



class CvUmiejetnosciJezykiMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.CvUmiejetnosciJezykiMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(CvUmiejetnosciJezykiPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(CvUmiejetnosciJezykiPeer::TABLE_NAME);
		$tMap->setPhpName('CvUmiejetnosciJezyki');
		$tMap->setClassname('CvUmiejetnosciJezyki');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'INTEGER', true, null);

		$tMap->addForeignKey('CV_PROFILE', 'CvProfile', 'INTEGER', 'cv_profile', 'ID', false, 11);

		$tMap->addColumn('TYP', 'Typ', 'INTEGER', false, 2);

	} 
} 