<?php



class CvWyksztalcenieZawodI18nMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.CvWyksztalcenieZawodI18nMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(CvWyksztalcenieZawodI18nPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(CvWyksztalcenieZawodI18nPeer::TABLE_NAME);
		$tMap->setPhpName('CvWyksztalcenieZawodI18n');
		$tMap->setClassname('CvWyksztalcenieZawodI18n');

		$tMap->setUseIdGenerator(false);

		$tMap->addColumn('NAZWA', 'Nazwa', 'VARCHAR', false, 200);

		$tMap->addColumn('SZCZEGOLY', 'Szczegoly', 'LONGVARCHAR', false, null);

		$tMap->addForeignPrimaryKey('ID', 'Id', 'INTEGER' , 'cv_wyksztalcenie_zawod', 'ID', true, null);

		$tMap->addPrimaryKey('CULTURE', 'Culture', 'VARCHAR', true, 7);

	} 
} 