<?php


abstract class BaseCvInfoZainteresowania extends BaseObject  implements Persistent {


  const PEER = 'CvInfoZainteresowaniaPeer';

	
	protected static $peer;

	
	protected $id;

	
	protected $cv_profile;

	
	protected $typ;

	
	protected $aCvProfileRelatedByCvProfile;

	
	protected $collCvInfoZainteresowaniaI18ns;

	
	private $lastCvInfoZainteresowaniaI18nCriteria = null;

	
	protected $alreadyInSave = false;

	
	protected $alreadyInValidation = false;

  
  protected $culture;

	
	public function __construct()
	{
		parent::__construct();
		$this->applyDefaultValues();
	}

	
	public function applyDefaultValues()
	{
	}

	
	public function getId()
	{
		return $this->id;
	}

	
	public function getCvProfile()
	{
		return $this->cv_profile;
	}

	
	public function getTyp()
	{
		return $this->typ;
	}

	
	public function setId($v)
	{
		if ($v !== null) {
			$v = (int) $v;
		}

		if ($this->id !== $v) {
			$this->id = $v;
			$this->modifiedColumns[] = CvInfoZainteresowaniaPeer::ID;
		}

		return $this;
	} 
	
	public function setCvProfile($v)
	{
		if ($v !== null) {
			$v = (int) $v;
		}

		if ($this->cv_profile !== $v) {
			$this->cv_profile = $v;
			$this->modifiedColumns[] = CvInfoZainteresowaniaPeer::CV_PROFILE;
		}

		if ($this->aCvProfileRelatedByCvProfile !== null && $this->aCvProfileRelatedByCvProfile->getId() !== $v) {
			$this->aCvProfileRelatedByCvProfile = null;
		}

		return $this;
	} 
	
	public function setTyp($v)
	{
		if ($v !== null) {
			$v = (int) $v;
		}

		if ($this->typ !== $v) {
			$this->typ = $v;
			$this->modifiedColumns[] = CvInfoZainteresowaniaPeer::TYP;
		}

		return $this;
	} 
	
	public function hasOnlyDefaultValues()
	{
						if (array_diff($this->modifiedColumns, array())) {
				return false;
			}

				return true;
	} 
	
	public function hydrate($row, $startcol = 0, $rehydrate = false)
	{
		try {

			$this->id = ($row[$startcol + 0] !== null) ? (int) $row[$startcol + 0] : null;
			$this->cv_profile = ($row[$startcol + 1] !== null) ? (int) $row[$startcol + 1] : null;
			$this->typ = ($row[$startcol + 2] !== null) ? (int) $row[$startcol + 2] : null;
			$this->resetModified();

			$this->setNew(false);

			if ($rehydrate) {
				$this->ensureConsistency();
			}

						return $startcol + 3; 
		} catch (Exception $e) {
			throw new PropelException("Error populating CvInfoZainteresowania object", $e);
		}
	}

	
	public function ensureConsistency()
	{

		if ($this->aCvProfileRelatedByCvProfile !== null && $this->cv_profile !== $this->aCvProfileRelatedByCvProfile->getId()) {
			$this->aCvProfileRelatedByCvProfile = null;
		}
	} 
	
	public function reload($deep = false, PropelPDO $con = null)
	{
		if ($this->isDeleted()) {
			throw new PropelException("Cannot reload a deleted object.");
		}

		if ($this->isNew()) {
			throw new PropelException("Cannot reload an unsaved object.");
		}

		if ($con === null) {
			$con = Propel::getConnection(CvInfoZainteresowaniaPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

				
		$stmt = CvInfoZainteresowaniaPeer::doSelectStmt($this->buildPkeyCriteria(), $con);
		$row = $stmt->fetch(PDO::FETCH_NUM);
		$stmt->closeCursor();
		if (!$row) {
			throw new PropelException('Cannot find matching row in the database to reload object values.');
		}
		$this->hydrate($row, 0, true); 
		if ($deep) {  
			$this->aCvProfileRelatedByCvProfile = null;
			$this->collCvInfoZainteresowaniaI18ns = null;
			$this->lastCvInfoZainteresowaniaI18nCriteria = null;

		} 	}

	
	public function delete(PropelPDO $con = null)
	{
		if ($this->isDeleted()) {
			throw new PropelException("This object has already been deleted.");
		}

		if ($con === null) {
			$con = Propel::getConnection(CvInfoZainteresowaniaPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		
		$con->beginTransaction();
		try {
			CvInfoZainteresowaniaPeer::doDelete($this, $con);
			$this->setDeleted(true);
			$con->commit();
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	public function save(PropelPDO $con = null)
	{
		if ($this->isDeleted()) {
			throw new PropelException("You cannot save an object that has been deleted.");
		}

		if ($con === null) {
			$con = Propel::getConnection(CvInfoZainteresowaniaPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		
		$con->beginTransaction();
		try {
			$affectedRows = $this->doSave($con);
			$con->commit();
			CvInfoZainteresowaniaPeer::addInstanceToPool($this);
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	protected function doSave(PropelPDO $con)
	{
		$affectedRows = 0; 		if (!$this->alreadyInSave) {
			$this->alreadyInSave = true;

												
			if ($this->aCvProfileRelatedByCvProfile !== null) {
				if ($this->aCvProfileRelatedByCvProfile->isModified() || ($this->aCvProfileRelatedByCvProfile->getCulture() && $this->aCvProfileRelatedByCvProfile->getCurrentCvProfileI18n()->isModified()) || $this->aCvProfileRelatedByCvProfile->isNew()) {
					$affectedRows += $this->aCvProfileRelatedByCvProfile->save($con);
				}
				$this->setCvProfileRelatedByCvProfile($this->aCvProfileRelatedByCvProfile);
			}

			if ($this->isNew() ) {
				$this->modifiedColumns[] = CvInfoZainteresowaniaPeer::ID;
			}

						if ($this->isModified()) {
				if ($this->isNew()) {
					$pk = CvInfoZainteresowaniaPeer::doInsert($this, $con);
					$affectedRows += 1; 										 										 
					$this->setId($pk);  
					$this->setNew(false);
				} else {
					$affectedRows += CvInfoZainteresowaniaPeer::doUpdate($this, $con);
				}

				$this->resetModified(); 			}

			if ($this->collCvInfoZainteresowaniaI18ns !== null) {
				foreach ($this->collCvInfoZainteresowaniaI18ns as $referrerFK) {
					if (!$referrerFK->isDeleted()) {
						$affectedRows += $referrerFK->save($con);
					}
				}
			}

			$this->alreadyInSave = false;

		}
		return $affectedRows;
	} 
	
	protected $validationFailures = array();

	
	public function getValidationFailures()
	{
		return $this->validationFailures;
	}

	
	public function validate($columns = null)
	{
		$res = $this->doValidate($columns);
		if ($res === true) {
			$this->validationFailures = array();
			return true;
		} else {
			$this->validationFailures = $res;
			return false;
		}
	}

	
	protected function doValidate($columns = null)
	{
		if (!$this->alreadyInValidation) {
			$this->alreadyInValidation = true;
			$retval = null;

			$failureMap = array();


												
			if ($this->aCvProfileRelatedByCvProfile !== null) {
				if (!$this->aCvProfileRelatedByCvProfile->validate($columns)) {
					$failureMap = array_merge($failureMap, $this->aCvProfileRelatedByCvProfile->getValidationFailures());
				}
			}


			if (($retval = CvInfoZainteresowaniaPeer::doValidate($this, $columns)) !== true) {
				$failureMap = array_merge($failureMap, $retval);
			}


				if ($this->collCvInfoZainteresowaniaI18ns !== null) {
					foreach ($this->collCvInfoZainteresowaniaI18ns as $referrerFK) {
						if (!$referrerFK->validate($columns)) {
							$failureMap = array_merge($failureMap, $referrerFK->getValidationFailures());
						}
					}
				}


			$this->alreadyInValidation = false;
		}

		return (!empty($failureMap) ? $failureMap : true);
	}

	
	public function getByName($name, $type = BasePeer::TYPE_PHPNAME)
	{
		$pos = CvInfoZainteresowaniaPeer::translateFieldName($name, $type, BasePeer::TYPE_NUM);
		$field = $this->getByPosition($pos);
		return $field;
	}

	
	public function getByPosition($pos)
	{
		switch($pos) {
			case 0:
				return $this->getId();
				break;
			case 1:
				return $this->getCvProfile();
				break;
			case 2:
				return $this->getTyp();
				break;
			default:
				return null;
				break;
		} 	}

	
	public function toArray($keyType = BasePeer::TYPE_PHPNAME, $includeLazyLoadColumns = true)
	{
		$keys = CvInfoZainteresowaniaPeer::getFieldNames($keyType);
		$result = array(
			$keys[0] => $this->getId(),
			$keys[1] => $this->getCvProfile(),
			$keys[2] => $this->getTyp(),
		);
		return $result;
	}

	
	public function setByName($name, $value, $type = BasePeer::TYPE_PHPNAME)
	{
		$pos = CvInfoZainteresowaniaPeer::translateFieldName($name, $type, BasePeer::TYPE_NUM);
		return $this->setByPosition($pos, $value);
	}

	
	public function setByPosition($pos, $value)
	{
		switch($pos) {
			case 0:
				$this->setId($value);
				break;
			case 1:
				$this->setCvProfile($value);
				break;
			case 2:
				$this->setTyp($value);
				break;
		} 	}

	
	public function fromArray($arr, $keyType = BasePeer::TYPE_PHPNAME)
	{
		$keys = CvInfoZainteresowaniaPeer::getFieldNames($keyType);

		if (array_key_exists($keys[0], $arr)) $this->setId($arr[$keys[0]]);
		if (array_key_exists($keys[1], $arr)) $this->setCvProfile($arr[$keys[1]]);
		if (array_key_exists($keys[2], $arr)) $this->setTyp($arr[$keys[2]]);
	}

	
	public function buildCriteria()
	{
		$criteria = new Criteria(CvInfoZainteresowaniaPeer::DATABASE_NAME);

		if ($this->isColumnModified(CvInfoZainteresowaniaPeer::ID)) $criteria->add(CvInfoZainteresowaniaPeer::ID, $this->id);
		if ($this->isColumnModified(CvInfoZainteresowaniaPeer::CV_PROFILE)) $criteria->add(CvInfoZainteresowaniaPeer::CV_PROFILE, $this->cv_profile);
		if ($this->isColumnModified(CvInfoZainteresowaniaPeer::TYP)) $criteria->add(CvInfoZainteresowaniaPeer::TYP, $this->typ);

		return $criteria;
	}

	
	public function buildPkeyCriteria()
	{
		$criteria = new Criteria(CvInfoZainteresowaniaPeer::DATABASE_NAME);

		$criteria->add(CvInfoZainteresowaniaPeer::ID, $this->id);

		return $criteria;
	}

	
	public function getPrimaryKey()
	{
		return $this->getId();
	}

	
	public function setPrimaryKey($key)
	{
		$this->setId($key);
	}

	
	public function copyInto($copyObj, $deepCopy = false)
	{

		$copyObj->setCvProfile($this->cv_profile);

		$copyObj->setTyp($this->typ);


		if ($deepCopy) {
									$copyObj->setNew(false);

			foreach ($this->getCvInfoZainteresowaniaI18ns() as $relObj) {
				if ($relObj !== $this) {  					$copyObj->addCvInfoZainteresowaniaI18n($relObj->copy($deepCopy));
				}
			}

		} 

		$copyObj->setNew(true);

		$copyObj->setId(NULL); 
	}

	
	public function copy($deepCopy = false)
	{
				$clazz = get_class($this);
		$copyObj = new $clazz();
		$this->copyInto($copyObj, $deepCopy);
		return $copyObj;
	}

	
	public function getPeer()
	{
		if (self::$peer === null) {
			self::$peer = new CvInfoZainteresowaniaPeer();
		}
		return self::$peer;
	}

	
	public function setCvProfileRelatedByCvProfile(CvProfile $v = null)
	{
		if ($v === null) {
			$this->setCvProfile(NULL);
		} else {
			$this->setCvProfile($v->getId());
		}

		$this->aCvProfileRelatedByCvProfile = $v;

						if ($v !== null) {
			$v->addCvInfoZainteresowania($this);
		}

		return $this;
	}


	
	public function getCvProfileRelatedByCvProfile(PropelPDO $con = null)
	{
		if ($this->aCvProfileRelatedByCvProfile === null && ($this->cv_profile !== null)) {
			$c = new Criteria(CvProfilePeer::DATABASE_NAME);
			$c->add(CvProfilePeer::ID, $this->cv_profile);
			$this->aCvProfileRelatedByCvProfile = CvProfilePeer::doSelectOne($c, $con);
			
		}
		return $this->aCvProfileRelatedByCvProfile;
	}

	
	public function clearCvInfoZainteresowaniaI18ns()
	{
		$this->collCvInfoZainteresowaniaI18ns = null; 	}

	
	public function initCvInfoZainteresowaniaI18ns()
	{
		$this->collCvInfoZainteresowaniaI18ns = array();
	}

	
	public function getCvInfoZainteresowaniaI18ns($criteria = null, PropelPDO $con = null)
	{
		if ($criteria === null) {
			$criteria = new Criteria(CvInfoZainteresowaniaPeer::DATABASE_NAME);
		}
		elseif ($criteria instanceof Criteria)
		{
			$criteria = clone $criteria;
		}

		if ($this->collCvInfoZainteresowaniaI18ns === null) {
			if ($this->isNew()) {
			   $this->collCvInfoZainteresowaniaI18ns = array();
			} else {

				$criteria->add(CvInfoZainteresowaniaI18nPeer::ID, $this->id);

				CvInfoZainteresowaniaI18nPeer::addSelectColumns($criteria);
				$this->collCvInfoZainteresowaniaI18ns = CvInfoZainteresowaniaI18nPeer::doSelect($criteria, $con);
			}
		} else {
						if (!$this->isNew()) {
												

				$criteria->add(CvInfoZainteresowaniaI18nPeer::ID, $this->id);

				CvInfoZainteresowaniaI18nPeer::addSelectColumns($criteria);
				if (!isset($this->lastCvInfoZainteresowaniaI18nCriteria) || !$this->lastCvInfoZainteresowaniaI18nCriteria->equals($criteria)) {
					$this->collCvInfoZainteresowaniaI18ns = CvInfoZainteresowaniaI18nPeer::doSelect($criteria, $con);
				}
			}
		}
		$this->lastCvInfoZainteresowaniaI18nCriteria = $criteria;
		return $this->collCvInfoZainteresowaniaI18ns;
	}

	
	public function countCvInfoZainteresowaniaI18ns(Criteria $criteria = null, $distinct = false, PropelPDO $con = null)
	{
		if ($criteria === null) {
			$criteria = new Criteria(CvInfoZainteresowaniaPeer::DATABASE_NAME);
		} else {
			$criteria = clone $criteria;
		}

		if ($distinct) {
			$criteria->setDistinct();
		}

		$count = null;

		if ($this->collCvInfoZainteresowaniaI18ns === null) {
			if ($this->isNew()) {
				$count = 0;
			} else {

				$criteria->add(CvInfoZainteresowaniaI18nPeer::ID, $this->id);

				$count = CvInfoZainteresowaniaI18nPeer::doCount($criteria, $con);
			}
		} else {
						if (!$this->isNew()) {
												

				$criteria->add(CvInfoZainteresowaniaI18nPeer::ID, $this->id);

				if (!isset($this->lastCvInfoZainteresowaniaI18nCriteria) || !$this->lastCvInfoZainteresowaniaI18nCriteria->equals($criteria)) {
					$count = CvInfoZainteresowaniaI18nPeer::doCount($criteria, $con);
				} else {
					$count = count($this->collCvInfoZainteresowaniaI18ns);
				}
			} else {
				$count = count($this->collCvInfoZainteresowaniaI18ns);
			}
		}
		return $count;
	}

	
	public function addCvInfoZainteresowaniaI18n(CvInfoZainteresowaniaI18n $l)
	{
		if ($this->collCvInfoZainteresowaniaI18ns === null) {
			$this->initCvInfoZainteresowaniaI18ns();
		}
		if (!in_array($l, $this->collCvInfoZainteresowaniaI18ns, true)) { 			array_push($this->collCvInfoZainteresowaniaI18ns, $l);
			$l->setCvInfoZainteresowania($this);
		}
	}

	
	public function clearAllReferences($deep = false)
	{
		if ($deep) {
			if ($this->collCvInfoZainteresowaniaI18ns) {
				foreach ((array) $this->collCvInfoZainteresowaniaI18ns as $o) {
					$o->clearAllReferences($deep);
				}
			}
		} 
		$this->collCvInfoZainteresowaniaI18ns = null;
			$this->aCvProfileRelatedByCvProfile = null;
	}


  
  public function getCulture()
  {
    return $this->culture;
  }

  
  public function setCulture($culture)
  {
    $this->culture = $culture;
  }

  public function getOpis($culture = null)
  {
    return $this->getCurrentCvInfoZainteresowaniaI18n($culture)->getOpis();
  }

  public function setOpis($value, $culture = null)
  {
    $this->getCurrentCvInfoZainteresowaniaI18n($culture)->setOpis($value);
  }

  protected $current_i18n = array();

  public function getCurrentCvInfoZainteresowaniaI18n($culture = null)
  {
    if (is_null($culture))
    {
      $culture = is_null($this->culture) ? sfPropel::getDefaultCulture() : $this->culture;
    }

    if (!isset($this->current_i18n[$culture]))
    {
      $obj = $this->isNew() ? null : CvInfoZainteresowaniaI18nPeer::retrieveByPK($this->getId(), $culture);
      if ($obj)
      {
        $this->setCvInfoZainteresowaniaI18nForCulture($obj, $culture);
      }
      else
      {
        $this->setCvInfoZainteresowaniaI18nForCulture(new CvInfoZainteresowaniaI18n(), $culture);
        $this->current_i18n[$culture]->setCulture($culture);
      }
    }

    return $this->current_i18n[$culture];
  }

  public function setCvInfoZainteresowaniaI18nForCulture($object, $culture)
  {
    $this->current_i18n[$culture] = $object;
    $this->addCvInfoZainteresowaniaI18n($object);
  }

} 