<?php

/**
 * noveCvOsiagnieciaKursy actions.
 *
 * @package    sam3
 * @subpackage noveCvOsiagnieciaKursy
 * @author     Your name here
 */
class noweCvOsiagnieciaKursyActions extends sfActions {

    public function executeSave(sfWebRequest $request) {
        $cultures = JezykTblPeer::getCulturesForModul('cvcv');
        if ($request->isXmlHttpRequest()):
            $cv = $request->getParameter('cv_osiagniecia_kursy');
            $cv_osiagniecia = new CvOsiagnieciaKursy();
            $cv_osiagniecia->setCvProfile($request->getParameter('cvid'));
            $cv_osiagniecia->setTyp($request->getParameter('typ'));

            foreach ($cv['osiagniecia'] as $key => $data):
                $data_osiagniecia = '';
                foreach($data as $data_od):
                    if(!empty($data_od)):
                        $data_osiagniecia .= $data_od.'-';
                    endif;
                endforeach;
                if(!empty($data_osiagniecia)):
                    $cv_osiagniecia->setData($data_osiagniecia.'01');
                endif;
            endforeach;
            
            foreach ($cultures as $cult) {
                $cv_osiagniecia->setNazwa($cv[$cult]['nazwa']);
                $cv_osiagniecia->setSzczegoly($cv[$cult]['szczegoly']);
            }

            if (($cv[$cult]['nazwa'] != '')):
                $cv_osiagniecia->save();
                if ($request->getParameter('typ') == 1):
                    $this->getUser()->setFlash('osiagniecia_notice', 'Zapisano pozycje.');
                else:
                    $this->getUser()->setFlash('kursy_notice', 'Zapisano pozycje.');
                endif;
            else:
                if ($request->getParameter('typ') == 1):
                    $this->getUser()->setFlash('osiagniecia_notice', 'Nie można zapisać pustego formularza.');
                else:
                    $this->getUser()->setFlash('kursy_notice', 'Nie można zapisać pustego formularza.');
                endif;
            endif;
        endif;


        return self::executeUpdateView($request);
    }

    public function executeUpdate(sfWebRequest $request) {
        $cultures = JezykTblPeer::getCulturesForModul('cvcv');
        if ($request->isXmlHttpRequest()):
            $cv = $request->getParameter('cv_osiagniecia_kursy');
            $cv_osiagniecia = CvOsiagnieciaKursyPeer::retrieveByPK($request->getParameter('id'));
            $cv_osiagniecia->setCvProfile($request->getParameter('cvid'));
            $cv_osiagniecia->setTyp($request->getParameter('typ'));

            foreach ($cv['osiagniecia'] as $key => $data):
                $data_osiagniecia = '';
                foreach($data as $data_od):
                    if(!empty($data_od)):
                        $data_osiagniecia .= $data_od.'-';
                    endif;
                endforeach;
                if(!empty($data_osiagniecia)):
                    $cv_osiagniecia->setData($data_osiagniecia.'01');
                endif;
            endforeach;
            foreach ($cultures as $cult) {
                $cv_osiagniecia->setNazwa($cv[$cult]['nazwa']);
                $cv_osiagniecia->setSzczegoly($cv[$cult]['szczegoly']);
            }
            if (($cv[$cult]['nazwa'] != '')):
                $cv_osiagniecia->save();
                if ($request->getParameter('typ') == 1):
                    $this->getUser()->setFlash('osiagniecia_notice', 'Zapisano pozycje.');
                else:
                    $this->getUser()->setFlash('kursy_notice', 'Zapisano pozycje.');
                endif;
            else:
                if ($request->getParameter('typ') == 1):
                    $this->getUser()->setFlash('osiagniecia_notice', 'Nie można zapisać pustego formularza.');
                else:
                    $this->getUser()->setFlash('kursy_notice', 'Nie można zapisać pustego formularza.');
                endif;
            endif;
        endif;
        return self::executeUpdateView($request);
    }

    public function executeDelete(sfWebRequest $request) {
        if ($request->isXmlHttpRequest()):
            $this->forward404Unless($cv_osiagniecia_kursy = CvOsiagnieciaKursyPeer::retrieveByPk($request->getParameter('id')), sprintf('Object cv_osiagniecia does not exist (%s).', $request->getParameter('id')));
            $cv_osiagniecia_kursy->delete();
            if ($request->getParameter('typ') == 1):
                $this->getUser()->setFlash('osiagniecia_notice', 'Usunieto pozycję.');
            else:
                $this->getUser()->setFlash('kursy_notice', 'Usunieto pozycję.');
            endif;

        endif;
        return self::executeUpdateView($request);
    }

    public function executeUpdateView(sfWebRequest $request) {
        $this->setLayout(false);
        $criteria = new Criteria();
        $criteria->add(CvOsiagnieciaKursyPeer::CV_PROFILE, $request->getParameter('cvid'));
        $criteria->add(CvOsiagnieciaKursyPeer::TYP, 1);
        $dane = CvOsiagnieciaKursyPeer::doSelectWithI18n($criteria);

        $this->osiagniecia = array();
        foreach ($dane as $list) {
            $this->osiagniecia[] = new CvOsiagnieciaKursyForm($list);
        }

        $criteria = new Criteria();
        $criteria->add(CvOsiagnieciaKursyPeer::CV_PROFILE, $request->getParameter('cvid'));
        $criteria->add(CvOsiagnieciaKursyPeer::TYP, 2);
        $dane = CvOsiagnieciaKursyPeer::doSelectWithI18n($criteria);

        $this->kursy = array();
        foreach ($dane as $list) {
            $this->kursy[] = new CvOsiagnieciaKursyForm($list);
        }

        if ($request->getParameter('typ') == 1):
            return $this->renderPartial('list_osiagniecia', array('osiagniecia' => $this->osiagniecia, 'cvid' => $request->getParameter('cvid')));
        else:
            return $this->renderPartial('list_kursy', array('kursy' => $this->kursy, 'cvid' => $request->getParameter('cvid')));
        endif;
    }

}
