<?php

/**
 * noweCvUmiejetnosciJezyki actions.
 *
 * @package    sam3
 * @subpackage noweCvUmiejetnosciJezyki
 * @author     Your name here
 */
class noweCvUmiejetnosciJezykiActions extends sfActions {

    public function executeSave(sfWebRequest $request) {
        $cultures = JezykTblPeer::getCulturesForModul('cvcv');
        if ($request->isXmlHttpRequest()):
            $cv = $request->getParameter('cv_umiejetnosci_jezyki');
            $cv_umiejetnosci_jezyki = new CvUmiejetnosciJezyki();
            $cv_umiejetnosci_jezyki->setCvProfile($request->getParameter('cvid'));
            $cv_umiejetnosci_jezyki->setTyp($request->getParameter('typ'));

            foreach ($cultures as $cult) {
                $cv_umiejetnosci_jezyki->setNazwa($cv[$cult]['nazwa']);
                $cv_umiejetnosci_jezyki->setSzczegoly($cv[$cult]['szczegoly']);
            }
            $cv_umiejetnosci_jezyki->save();

            if (($cv[$cult]['nazwa'] != '')):
                $cv_umiejetnosci_jezyki->save();
                if ($request->getParameter('typ') == 1):
                    $this->getUser()->setFlash('umiejetnosci_notice', 'Zapisano pozycje.');
                else:
                    $this->getUser()->setFlash('jezyki_notice', 'Zapisano pozycje.');
                endif;
            else:
                if ($request->getParameter('typ') == 1):
                    $this->getUser()->setFlash('umiejetnosci_notice', 'Nie można zapisać pustego formularza.');
                else:
                    $this->getUser()->setFlash('jezyki_notice', 'Nie można zapisać pustego formularza.');
                endif;
            endif;
        endif;
        return self::executeUpdateView($request);
    }

    public function executeUpdate(sfWebRequest $request) {
        $cultures = JezykTblPeer::getCulturesForModul('cvcv');
        if ($request->isXmlHttpRequest()):
            $cv = $request->getParameter('cv_umiejetnosci_jezyki');
            $cv_umiejetnosci_jezyki = CvUmiejetnosciJezykiPeer::retrieveByPK($request->getParameter('id'));
            $cv_umiejetnosci_jezyki->setCvProfile($request->getParameter('cvid'));
            $cv_umiejetnosci_jezyki->setTyp($request->getParameter('typ'));

            foreach ($cultures as $cult) {
                $cv_umiejetnosci_jezyki->setNazwa($cv[$cult]['nazwa']);
                $cv_umiejetnosci_jezyki->setSzczegoly($cv[$cult]['szczegoly']);
            }
            if (($cv[$cult]['nazwa'] != '')):
                $cv_umiejetnosci_jezyki->save();
                if ($request->getParameter('typ') == 1):
                    $this->getUser()->setFlash('umiejetnosci_notice', 'Zapisano pozycje.');
                else:
                    $this->getUser()->setFlash('jezyki_notice', 'Zapisano pozycje.');
                endif;
            else:
                if ($request->getParameter('typ') == 1):
                    $this->getUser()->setFlash('umiejetnosci_notice', 'Nie można zapisać pustego formularza.');
                else:
                    $this->getUser()->setFlash('jezyki_notice', 'Nie można zapisać pustego formularza.');
                endif;
            endif;
        endif;
        return self::executeUpdateView($request);
    }

    public function executeDelete(sfWebRequest $request) {
        if ($request->isXmlHttpRequest()):
            $this->forward404Unless($cv_umiejetnosci_jezyki = CvUmiejetnosciJezykiPeer::retrieveByPk($request->getParameter('id')), sprintf('Object cv_umiejetnosci_jezyki does not exist (%s).', $request->getParameter('id')));
            $cv_umiejetnosci_jezyki->delete();
            if ($request->getParameter('typ') == 1):
                $this->getUser()->setFlash('umiejetnosci_notice', 'Usunieto pozycję.');
            else:
                $this->getUser()->setFlash('jezyki_notice', 'Usunięto pozycję.');
            endif;
        endif;
        return self::executeUpdateView($request);
    }

    public function executeUpdateView(sfWebRequest $request) {
        $this->setLayout(false);
        $criteria = new Criteria();
        $criteria->add(CvUmiejetnosciJezykiPeer::CV_PROFILE, $request->getParameter('cvid'));
        $criteria->add(CvUmiejetnosciJezykiPeer::TYP, 1);
        $dane = CvUmiejetnosciJezykiPeer::doSelectWithI18n($criteria);

        $this->umiejetnosci = array();
        foreach ($dane as $list) {
            $this->umiejetnosci[] = new CvUmiejetnosciJezykiForm($list);
        }

        $criteria = new Criteria();
        $criteria->add(CvUmiejetnosciJezykiPeer::CV_PROFILE, $request->getParameter('cvid'));
        $criteria->add(CvUmiejetnosciJezykiPeer::TYP, 2);
        $dane = CvUmiejetnosciJezykiPeer::doSelectWithI18n($criteria);

        $this->jezyki = array();
        foreach ($dane as $list) {
            $this->jezyki[] = new CvUmiejetnosciJezykiForm($list);
        }

        if ($request->getParameter('typ') == 1):
            return $this->renderPartial('list_umiejetnosci', array('umiejetnosci' => $this->umiejetnosci, 'cvid' => $request->getParameter('cvid')));
        else:
            return $this->renderPartial('list_jezyki', array('jezyki' => $this->jezyki, 'cvid' => $request->getParameter('cvid')));
        endif;
    }

}
