<?php

/**
 * noweCvWyksztalcenieZawod actions.
 *
 * @package    sam3
 * @subpackage noweCvWyksztalcenieZawod
 * @author     Your name here
 */
class noweCvWyksztalcenieZawodActions extends sfActions {

    public function executeSave(sfWebRequest $request) {
        $cultures = JezykTblPeer::getCulturesForModul('cvcv');
        if ($request->isXmlHttpRequest()):
            $cv = $request->getParameter('cv_wyksztalcenie_zawod');
            $cv_wyksztalcenie_zawod = new CvWyksztalcenieZawod();
            $cv_wyksztalcenie_zawod->setCvProfile($request->getParameter('cvid'));
            $cv_wyksztalcenie_zawod->setTyp($request->getParameter('typ'));
            
            foreach ($cv['data_od'] as $key => $data_od):
                $data_wyksztalcenie = '';
                foreach($data_od as $data):
                    if(!empty($data)):
                        $data_wyksztalcenie .= $data.'-';                        
                    endif;
                endforeach;
                    if(!empty($data_wyksztalcenie)):
                        $cv_wyksztalcenie_zawod->setDataOd($data_wyksztalcenie.'01');
                    endif;
            endforeach;

            foreach ($cv['data_do'] as $key => $data_do):
                $data_wyksztalcenie = '';
                foreach($data_do as $key => $data):
                    if(!empty($data)):
                        $data_wyksztalcenie .= $data.'-';
                    endif;
                endforeach;
                    if(!empty($data_wyksztalcenie)):
                        $cv_wyksztalcenie_zawod->setDataDo($data_wyksztalcenie.'01');
                    endif;
            endforeach;

            foreach ($cultures as $cult) {
                $cv_wyksztalcenie_zawod->setNazwa($cv[$cult]['nazwa']);
                $cv_wyksztalcenie_zawod->setSzczegoly($cv[$cult]['szczegoly']);
            }
            if ($cv[$cult]['nazwa'] != ''):
                $cv_wyksztalcenie_zawod->save();
                if ($request->getParameter('typ') == 1):
                    $this->getUser()->setFlash('wyksztalcenie_notice', 'Zapisano pozycje.');
                else:
                    $this->getUser()->setFlash('zawod_notice', 'Zapisano pozycje.');
                endif;
            else:
                if ($request->getParameter('typ') == 1):
                    $this->getUser()->setFlash('wyksztalcenie_notice', 'Nie można zapisać pustego formularza.');
                else:
                    $this->getUser()->setFlash('zawod_notice', 'Nie można zapisać pustego formularza.');
                endif;
            endif;
        endif;
        return self::executeUpdateView($request);
    }

    public function executeUpdate(sfWebRequest $request) {
        $cultures = JezykTblPeer::getCulturesForModul('cvcv');
        if ($request->isXmlHttpRequest()):
            $cv = $request->getParameter('cv_wyksztalcenie_zawod');

            $cv_wyksztalcenie_zawod = CvWyksztalcenieZawodPeer::retrieveByPK($request->getParameter('id'));
            $cv_wyksztalcenie_zawod->setCvProfile($request->getParameter('cvid'));
            $cv_wyksztalcenie_zawod->setTyp($request->getParameter('typ'));

            foreach ($cv['data_od'] as $key => $data_od):
                $data_wyksztalcenie = '';
                foreach($data_od as $data):
                    if(!empty($data)):
                        $data_wyksztalcenie .= $data.'-';                        
                    endif;
                endforeach;
                    if(!empty($data_wyksztalcenie)):
                        $cv_wyksztalcenie_zawod->setDataOd($data_wyksztalcenie.'01');
                    endif;
            endforeach;

            foreach ($cv['data_do'] as $key => $data_do):
                $data_wyksztalcenie = '';
                foreach($data_do as $key => $data):
                    if(!empty($data)):
                        $data_wyksztalcenie .= $data.'-';
                    endif;
                endforeach;
                    if(!empty($data_wyksztalcenie)):
                        $cv_wyksztalcenie_zawod->setDataDo($data_wyksztalcenie.'01');
                    endif;
            endforeach;

            foreach ($cultures as $cult) {
                $cv_wyksztalcenie_zawod->setNazwa($cv[$cult]['nazwa']);
                $cv_wyksztalcenie_zawod->setSzczegoly($cv[$cult]['szczegoly']);
            }
            if ($cv[$cult]['nazwa'] != ''):
                $cv_wyksztalcenie_zawod->save();
                if ($request->getParameter('typ') == 1):
                    $this->getUser()->setFlash('wyksztalcenie_notice', 'Zapisano pozycje.');
                else:
                    $this->getUser()->setFlash('zawod_notice', 'Zapisano pozycje.');
                endif;
            else:
                if ($request->getParameter('typ') == 1):
                    $this->getUser()->setFlash('wyksztalcenie_zawod', 'Nie można zapisać pustego formularza.');
                else:
                    $this->getUser()->setFlash('zawod_zawod', 'Nie można zapisać pustego formularza.');
                endif;
            endif;
        endif;
        return self::executeUpdateView($request);
    }

    public function executeDelete(sfWebRequest $request) {
        if ($request->isXmlHttpRequest()):
            $this->forward404Unless($cv_wyksztalcenie_zawod = CvWyksztalcenieZawodPeer::retrieveByPk($request->getParameter('id')), sprintf('Object cv_wyksztalcenie_zawod does not exist (%s).', $request->getParameter('id')));
            $cv_wyksztalcenie_zawod->delete();
            if ($request->getParameter('typ') == 1):
                $this->getUser()->setFlash('wyksztalcenie_notice', 'Usunięto pozycję.');
            else:
                $this->getUser()->setFlash('zawod_notice', 'Usunięto pozycję.');
            endif;
        endif;
        return self::executeUpdateView($request);
    }

    public function executeUpdateView(sfWebRequest $request) {
        $this->setLayout(false);
        $criteria = new Criteria();
        $criteria->add(CvWyksztalcenieZawodPeer::CV_PROFILE, $request->getParameter('cvid'));
        $criteria->add(CvWyksztalcenieZawodPeer::TYP, 1);
        $dane = CvWyksztalcenieZawodPeer::doSelectWithI18n($criteria);

        $this->wyksztalcenie = array();
        foreach ($dane as $list) {
            $this->wyksztalcenie[] = new CvWyksztalcenieZawodForm($list);
        }

        $criteria = new Criteria();
        $criteria->add(CvWyksztalcenieZawodPeer::CV_PROFILE, $request->getParameter('cvid'));
        $criteria->add(CvWyksztalcenieZawodPeer::TYP, 2);
        $dane = CvWyksztalcenieZawodPeer::doSelectWithI18n($criteria);

        $this->zawod = array();
        foreach ($dane as $list) {
            $this->zawod[] = new CvWyksztalcenieZawodForm($list);
        }

        if ($request->getParameter('typ') == 1):
            return $this->renderPartial('list_wyksztalcenie', array('wyksztalcenie' => $this->wyksztalcenie, 'cvid' => $request->getParameter('cvid')));
        else:
            return $this->renderPartial('list_zawod', array('zawod' => $this->zawod, 'cvid' => $request->getParameter('cvid')));
        endif;
    }

}
