<?php

require_once(sfConfig::get('sf_lib_dir').'/filter/base/BaseFormFilterPropel.class.php');

/**
 * CvProfileI18n filter form base class.
 *
 * @package    sam3
 * @subpackage filter
 * @author     Your name here
 */
class BaseCvProfileI18nFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'imie_nazwisko' => new sfWidgetFormFilterInput(),
      'ulica'         => new sfWidgetFormFilterInput(),
      'kod'           => new sfWidgetFormFilterInput(),
      'poczta'        => new sfWidgetFormFilterInput(),
      'miasto'        => new sfWidgetFormFilterInput(),
      'stan_cywilny'  => new sfWidgetFormFilterInput(),
    ));

    $this->setValidators(array(
      'imie_nazwisko' => new sfValidatorPass(array('required' => false)),
      'ulica'         => new sfValidatorPass(array('required' => false)),
      'kod'           => new sfValidatorPass(array('required' => false)),
      'poczta'        => new sfValidatorPass(array('required' => false)),
      'miasto'        => new sfValidatorPass(array('required' => false)),
      'stan_cywilny'  => new sfValidatorPass(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('cv_profile_i18n_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'CvProfileI18n';
  }

  public function getFields()
  {
    return array(
      'imie_nazwisko' => 'Text',
      'ulica'         => 'Text',
      'kod'           => 'Text',
      'poczta'        => 'Text',
      'miasto'        => 'Text',
      'stan_cywilny'  => 'Text',
      'id'            => 'ForeignKey',
      'culture'       => 'Text',
    );
  }
}
