<?php

/**
 * CvOsiagnieciaKursy form.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class CvOsiagnieciaKursyForm extends BaseCvOsiagnieciaKursyForm
{
  public function configure()
  {
        $this->getWidgetSchema()->getFormFormatter()->setHelpFormat('%help%');

        $this->setWidgets(array(
            'id' => new sfWidgetFormInputHidden(),
            'cv_profile' => new sfWidgetFormInputHidden(),
            'data' => new sfWidgetFormI18nDate(array('culture'=>'pl','format' => '%year% - %month%','years' => array_combine(range(date('Y'), 1970), range(date('Y'), 1970)))),
            ));

        $this->setValidators(array(
            'id' => new sfValidatorPropelChoice(array('model' => 'CvOsiagnieciaKursy', 'column' => 'id', 'required' => false)),
            'cv_profile' => new sfValidatorPropelChoice(array('model' => 'CvProfile', 'column' => 'id')),
            'data' => new sfValidatorDate(),
        ));
		
		$this->widgetSchema->setLabels(array(
			'data' => 'Data',
		));
        
        $this->embedI18n(array('pl'));

        $this->widgetSchema->setNameFormat('cv_osiagniecia_kursy[%s]');
        $this->getWidgetSchema()->getFormFormatter()->setHelpFormat('%help%');
        $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);
  }
}
