<?php

/**
 * CvWyksztalcenieZawodI18n form.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class CvWyksztalcenieZawodI18nForm extends BaseCvWyksztalcenieZawodI18nForm
{
        public function configure() {
        parent::configure();

        $this->setWidget('nazwa', new sfWidgetFormInput());
        $this->setWidget('szczegoly', new sfWidgetFormTextarea(array(), array()));

        $this->setValidators(array(
            'nazwa'     => new sfValidatorString(array('max_length' => 200, 'required' => true)),
            'szczegoly' => new sfValidatorString(array('required' => false)),
            'id' => new sfValidatorPropelChoice(array('model' => 'CvWyksztalcenieZawod', 'column' => 'id')),
            'culture' => new sfValidatorPropelChoice(array('model' => 'CvWyksztalcenieZawodI18n', 'column' => 'culture')),
        ));

        $this->widgetSchema->setLabels(array(
            'nazwa' => "Nazwa *",
            'szczegoly' => "Opis",
        ));
        
        $this->widgetSchema->setNameFormat('cv_wyksztalcenie_zawod[%s]');
        $this->getWidgetSchema()->getFormFormatter()->setHelpFormat('%help%');
        $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);
    }
}
