<?php

/**
 * CvOsiagnieciaKursyI18n form base class.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class BaseCvOsiagnieciaKursyI18nForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'nazwa'     => new sfWidgetFormInput(),
      'szczegoly' => new sfWidgetFormTextarea(),
      'id'        => new sfWidgetFormInputHidden(),
      'culture'   => new sfWidgetFormInputHidden(),
    ));

    $this->setValidators(array(
      'nazwa'     => new sfValidatorString(array('max_length' => 200, 'required' => false)),
      'szczegoly' => new sfValidatorString(array('required' => false)),
      'id'        => new sfValidatorPropelChoice(array('model' => 'CvOsiagnieciaKursy', 'column' => 'id', 'required' => false)),
      'culture'   => new sfValidatorPropelChoice(array('model' => 'CvOsiagnieciaKursyI18n', 'column' => 'culture', 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('cv_osiagniecia_kursy_i18n[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'CvOsiagnieciaKursyI18n';
  }


}
