<?php

/**
 * CvProfile form base class.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class BaseCvProfileForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'             => new sfWidgetFormInputHidden(),
      'telefon'        => new sfWidgetFormInput(),
      'email'          => new sfWidgetFormInput(),
      'data_urodzenia' => new sfWidgetFormDate(),
      'zdjecie'        => new sfWidgetFormInput(),
      'ip'             => new sfWidgetFormInput(),
      'styl'           => new sfWidgetFormInput(),
      'styl_jezyk'     => new sfWidgetFormInput(),
    ));

    $this->setValidators(array(
      'id'             => new sfValidatorPropelChoice(array('model' => 'CvProfile', 'column' => 'id', 'required' => false)),
      'telefon'        => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'email'          => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'data_urodzenia' => new sfValidatorDate(array('required' => false)),
      'zdjecie'        => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'ip'             => new sfValidatorString(array('max_length' => 39, 'required' => false)),
      'styl'           => new sfValidatorInteger(),
      'styl_jezyk'     => new sfValidatorString(array('max_length' => 5, 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('cv_profile[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'CvProfile';
  }

  public function getI18nModelName()
  {
    return 'CvProfileI18n';
  }

  public function getI18nFormClass()
  {
    return 'CvProfileI18nForm';
  }

}
