<?php

/**
 * CvProfileI18n form base class.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class BaseCvProfileI18nForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'imie_nazwisko' => new sfWidgetFormInput(),
      'ulica'         => new sfWidgetFormInput(),
      'kod'           => new sfWidgetFormInput(),
      'poczta'        => new sfWidgetFormInput(),
      'miasto'        => new sfWidgetFormInput(),
      'stan_cywilny'  => new sfWidgetFormInput(),
      'id'            => new sfWidgetFormInputHidden(),
      'culture'       => new sfWidgetFormInputHidden(),
    ));

    $this->setValidators(array(
      'imie_nazwisko' => new sfValidatorString(array('max_length' => 255)),
      'ulica'         => new sfValidatorString(array('max_length' => 127)),
      'kod'           => new sfValidatorString(array('max_length' => 10)),
      'poczta'        => new sfValidatorString(array('max_length' => 127, 'required' => false)),
      'miasto'        => new sfValidatorString(array('max_length' => 127)),
      'stan_cywilny'  => new sfValidatorString(array('max_length' => 255)),
      'id'            => new sfValidatorPropelChoice(array('model' => 'CvProfile', 'column' => 'id', 'required' => false)),
      'culture'       => new sfValidatorPropelChoice(array('model' => 'CvProfileI18n', 'column' => 'culture', 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('cv_profile_i18n[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'CvProfileI18n';
  }


}
