<?php



class CvInfoZainteresowaniaI18nMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.CvInfoZainteresowaniaI18nMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(CvInfoZainteresowaniaI18nPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(CvInfoZainteresowaniaI18nPeer::TABLE_NAME);
		$tMap->setPhpName('CvInfoZainteresowaniaI18n');
		$tMap->setClassname('CvInfoZainteresowaniaI18n');

		$tMap->setUseIdGenerator(false);

		$tMap->addColumn('OPIS', 'Opis', 'VARCHAR', false, 200);

		$tMap->addForeignPrimaryKey('ID', 'Id', 'INTEGER' , 'cv_info_zainteresowania', 'ID', true, null);

		$tMap->addPrimaryKey('CULTURE', 'Culture', 'VARCHAR', true, 7);

	} 
} 