<?php



class CvInfoZainteresowaniaMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.CvInfoZainteresowaniaMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(CvInfoZainteresowaniaPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(CvInfoZainteresowaniaPeer::TABLE_NAME);
		$tMap->setPhpName('CvInfoZainteresowania');
		$tMap->setClassname('CvInfoZainteresowania');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'INTEGER', true, 10);

		$tMap->addForeignKey('CV_PROFILE', 'CvProfile', 'INTEGER', 'cv_profile', 'ID', false, 11);

		$tMap->addColumn('TYP', 'Typ', 'INTEGER', false, 2);

	} 
} 