<?php



class CvMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.CvMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(CvPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(CvPeer::TABLE_NAME);
		$tMap->setPhpName('Cv');
		$tMap->setClassname('Cv');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'INTEGER', true, 10);

		$tMap->addColumn('CREATED_AT', 'CreatedAt', 'TIMESTAMP', false, null);

		$tMap->addColumn('NAZWISKO', 'Nazwisko', 'VARCHAR', true, 255);

		$tMap->addColumn('ULICA', 'Ulica', 'VARCHAR', true, 255);

		$tMap->addColumn('MIEJSCOWOSC', 'Miejscowosc', 'VARCHAR', true, 255);

		$tMap->addColumn('KOD_POCZTOWY', 'KodPocztowy', 'VARCHAR', true, 6);

		$tMap->addColumn('TELEFON', 'Telefon', 'VARCHAR', false, 255);

		$tMap->addColumn('FAX', 'Fax', 'VARCHAR', false, 255);

		$tMap->addColumn('EMAIL', 'Email', 'VARCHAR', false, 255);

		$tMap->addColumn('WYKSZTALCENIE', 'Wyksztalcenie', 'LONGVARCHAR', false, null);

		$tMap->addColumn('PRACA', 'Praca', 'LONGVARCHAR', false, null);

		$tMap->addColumn('KURSY', 'Kursy', 'LONGVARCHAR', false, null);

		$tMap->addColumn('ZAINTERESOWANIA', 'Zainteresowania', 'LONGVARCHAR', false, null);

		$tMap->addColumn('DODATKOWE', 'Dodatkowe', 'LONGVARCHAR', false, null);

		$tMap->addColumn('ZDJECIE', 'Zdjecie', 'VARCHAR', false, 255);

		$tMap->addColumn('JEZYK1', 'Jezyk1', 'VARCHAR', false, 255);

		$tMap->addColumn('JEZYK2', 'Jezyk2', 'VARCHAR', false, 255);

		$tMap->addColumn('JEZYK3', 'Jezyk3', 'VARCHAR', false, 255);

		$tMap->addColumn('IP', 'Ip', 'VARCHAR', false, 39);

		$tMap->addColumn('STYL', 'Styl', 'INTEGER', true, 2);

		$tMap->addColumn('STYL_JEZYK', 'StylJezyk', 'VARCHAR', false, 5);

	} 
} 