<?php



class CvProfileI18nMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.CvProfileI18nMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(CvProfileI18nPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(CvProfileI18nPeer::TABLE_NAME);
		$tMap->setPhpName('CvProfileI18n');
		$tMap->setClassname('CvProfileI18n');

		$tMap->setUseIdGenerator(false);

		$tMap->addColumn('IMIE_NAZWISKO', 'ImieNazwisko', 'VARCHAR', true, 255);

		$tMap->addColumn('ULICA', 'Ulica', 'VARCHAR', true, 127);

		$tMap->addColumn('KOD', 'Kod', 'VARCHAR', true, 10);

		$tMap->addColumn('POCZTA', 'Poczta', 'VARCHAR', false, 127);

		$tMap->addColumn('MIASTO', 'Miasto', 'VARCHAR', true, 127);

		$tMap->addColumn('STAN_CYWILNY', 'StanCywilny', 'VARCHAR', true, 255);

		$tMap->addForeignPrimaryKey('ID', 'Id', 'INTEGER' , 'cv_profile', 'ID', true, null);

		$tMap->addPrimaryKey('CULTURE', 'Culture', 'VARCHAR', true, 7);

	} 
} 