<?php



class CvProfileMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.CvProfileMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(CvProfilePeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(CvProfilePeer::TABLE_NAME);
		$tMap->setPhpName('CvProfile');
		$tMap->setClassname('CvProfile');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'INTEGER', true, 10);

		$tMap->addColumn('TELEFON', 'Telefon', 'VARCHAR', false, 255);

		$tMap->addColumn('EMAIL', 'Email', 'VARCHAR', false, 255);

		$tMap->addColumn('DATA_URODZENIA', 'DataUrodzenia', 'DATE', false, null);

		$tMap->addColumn('ZDJECIE', 'Zdjecie', 'VARCHAR', false, 255);

		$tMap->addColumn('IP', 'Ip', 'VARCHAR', false, 39);

		$tMap->addColumn('STYL', 'Styl', 'INTEGER', true, 2);

		$tMap->addColumn('STYL_JEZYK', 'StylJezyk', 'VARCHAR', false, 5);

	} 
} 