<?php



class CvWyksztalcenieZawodMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.CvWyksztalcenieZawodMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(CvWyksztalcenieZawodPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(CvWyksztalcenieZawodPeer::TABLE_NAME);
		$tMap->setPhpName('CvWyksztalcenieZawod');
		$tMap->setClassname('CvWyksztalcenieZawod');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'INTEGER', true, 10);

		$tMap->addForeignKey('CV_PROFILE', 'CvProfile', 'INTEGER', 'cv_profile', 'ID', false, 11);

		$tMap->addColumn('TYP', 'Typ', 'INTEGER', false, 2);

		$tMap->addColumn('DATA_OD', 'DataOd', 'DATE', false, null);

		$tMap->addColumn('DATA_DO', 'DataDo', 'DATE', false, null);

	} 
} 