<?php


abstract class BaseCvProfileI18nPeer {

	
	const DATABASE_NAME = 'propel';

	
	const TABLE_NAME = 'cv_profile_i18n';

	
	const CLASS_DEFAULT = 'lib.model.CvProfileI18n';

	
	const NUM_COLUMNS = 8;

	
	const NUM_LAZY_LOAD_COLUMNS = 0;

	
	const IMIE_NAZWISKO = 'cv_profile_i18n.IMIE_NAZWISKO';

	
	const ULICA = 'cv_profile_i18n.ULICA';

	
	const KOD = 'cv_profile_i18n.KOD';

	
	const POCZTA = 'cv_profile_i18n.POCZTA';

	
	const MIASTO = 'cv_profile_i18n.MIASTO';

	
	const STAN_CYWILNY = 'cv_profile_i18n.STAN_CYWILNY';

	
	const ID = 'cv_profile_i18n.ID';

	
	const CULTURE = 'cv_profile_i18n.CULTURE';

	
	public static $instances = array();

	
	private static $mapBuilder = null;

	
	private static $fieldNames = array (
		BasePeer::TYPE_PHPNAME => array ('ImieNazwisko', 'Ulica', 'Kod', 'Poczta', 'Miasto', 'StanCywilny', 'Id', 'Culture', ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('imieNazwisko', 'ulica', 'kod', 'poczta', 'miasto', 'stanCywilny', 'id', 'culture', ),
		BasePeer::TYPE_COLNAME => array (self::IMIE_NAZWISKO, self::ULICA, self::KOD, self::POCZTA, self::MIASTO, self::STAN_CYWILNY, self::ID, self::CULTURE, ),
		BasePeer::TYPE_FIELDNAME => array ('imie_nazwisko', 'ulica', 'kod', 'poczta', 'miasto', 'stan_cywilny', 'id', 'culture', ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, )
	);

	
	private static $fieldKeys = array (
		BasePeer::TYPE_PHPNAME => array ('ImieNazwisko' => 0, 'Ulica' => 1, 'Kod' => 2, 'Poczta' => 3, 'Miasto' => 4, 'StanCywilny' => 5, 'Id' => 6, 'Culture' => 7, ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('imieNazwisko' => 0, 'ulica' => 1, 'kod' => 2, 'poczta' => 3, 'miasto' => 4, 'stanCywilny' => 5, 'id' => 6, 'culture' => 7, ),
		BasePeer::TYPE_COLNAME => array (self::IMIE_NAZWISKO => 0, self::ULICA => 1, self::KOD => 2, self::POCZTA => 3, self::MIASTO => 4, self::STAN_CYWILNY => 5, self::ID => 6, self::CULTURE => 7, ),
		BasePeer::TYPE_FIELDNAME => array ('imie_nazwisko' => 0, 'ulica' => 1, 'kod' => 2, 'poczta' => 3, 'miasto' => 4, 'stan_cywilny' => 5, 'id' => 6, 'culture' => 7, ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, )
	);

	
	public static function getMapBuilder()
	{
		if (self::$mapBuilder === null) {
			self::$mapBuilder = new CvProfileI18nMapBuilder();
		}
		return self::$mapBuilder;
	}
	
	static public function translateFieldName($name, $fromType, $toType)
	{
		$toNames = self::getFieldNames($toType);
		$key = isset(self::$fieldKeys[$fromType][$name]) ? self::$fieldKeys[$fromType][$name] : null;
		if ($key === null) {
			throw new PropelException("'$name' could not be found in the field names of type '$fromType'. These are: " . print_r(self::$fieldKeys[$fromType], true));
		}
		return $toNames[$key];
	}

	

	static public function getFieldNames($type = BasePeer::TYPE_PHPNAME)
	{
		if (!array_key_exists($type, self::$fieldNames)) {
			throw new PropelException('Method getFieldNames() expects the parameter $type to be one of the class constants BasePeer::TYPE_PHPNAME, BasePeer::TYPE_STUDLYPHPNAME, BasePeer::TYPE_COLNAME, BasePeer::TYPE_FIELDNAME, BasePeer::TYPE_NUM. ' . $type . ' was given.');
		}
		return self::$fieldNames[$type];
	}

	
	public static function alias($alias, $column)
	{
		return str_replace(CvProfileI18nPeer::TABLE_NAME.'.', $alias.'.', $column);
	}

	
	public static function addSelectColumns(Criteria $criteria)
	{

		$criteria->addSelectColumn(CvProfileI18nPeer::IMIE_NAZWISKO);

		$criteria->addSelectColumn(CvProfileI18nPeer::ULICA);

		$criteria->addSelectColumn(CvProfileI18nPeer::KOD);

		$criteria->addSelectColumn(CvProfileI18nPeer::POCZTA);

		$criteria->addSelectColumn(CvProfileI18nPeer::MIASTO);

		$criteria->addSelectColumn(CvProfileI18nPeer::STAN_CYWILNY);

		$criteria->addSelectColumn(CvProfileI18nPeer::ID);

		$criteria->addSelectColumn(CvProfileI18nPeer::CULTURE);

	}

	
	public static function doCount(Criteria $criteria, $distinct = false, PropelPDO $con = null)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(CvProfileI18nPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			CvProfileI18nPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 		$criteria->setDbName(self::DATABASE_NAME); 
		if ($con === null) {
			$con = Propel::getConnection(CvProfileI18nPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

				$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}
	
	public static function doSelectOne(Criteria $criteria, PropelPDO $con = null)
	{
		$critcopy = clone $criteria;
		$critcopy->setLimit(1);
		$objects = CvProfileI18nPeer::doSelect($critcopy, $con);
		if ($objects) {
			return $objects[0];
		}
		return null;
	}
	
	public static function doSelect(Criteria $criteria, PropelPDO $con = null)
	{
		return CvProfileI18nPeer::populateObjects(CvProfileI18nPeer::doSelectStmt($criteria, $con));
	}
	
	public static function doSelectStmt(Criteria $criteria, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(CvProfileI18nPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		if (!$criteria->hasSelectClause()) {
			$criteria = clone $criteria;
			CvProfileI18nPeer::addSelectColumns($criteria);
		}

				$criteria->setDbName(self::DATABASE_NAME);

				return BasePeer::doSelect($criteria, $con);
	}
	
	public static function addInstanceToPool(CvProfileI18n $obj, $key = null)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if ($key === null) {
				$key = serialize(array((string) $obj->getId(), (string) $obj->getCulture()));
			} 			self::$instances[$key] = $obj;
		}
	}

	
	public static function removeInstanceFromPool($value)
	{
		if (Propel::isInstancePoolingEnabled() && $value !== null) {
			if (is_object($value) && $value instanceof CvProfileI18n) {
				$key = serialize(array((string) $value->getId(), (string) $value->getCulture()));
			} elseif (is_array($value) && count($value) === 2) {
								$key = serialize(array((string) $value[0], (string) $value[1]));
			} else {
				$e = new PropelException("Invalid value passed to removeInstanceFromPool().  Expected primary key or CvProfileI18n object; got " . (is_object($value) ? get_class($value) . ' object.' : var_export($value,true)));
				throw $e;
			}

			unset(self::$instances[$key]);
		}
	} 
	
	public static function getInstanceFromPool($key)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if (isset(self::$instances[$key])) {
				return self::$instances[$key];
			}
		}
		return null; 	}
	
	
	public static function clearInstancePool()
	{
		self::$instances = array();
	}
	
	
	public static function getPrimaryKeyHashFromRow($row, $startcol = 0)
	{
				if ($row[$startcol + 6] === null && $row[$startcol + 7] === null) {
			return null;
		}
		return serialize(array((string) $row[$startcol + 6], (string) $row[$startcol + 7]));
	}

	
	public static function populateObjects(PDOStatement $stmt)
	{
		$results = array();
	
				$cls = CvProfileI18nPeer::getOMClass();
		$cls = substr('.'.$cls, strrpos('.'.$cls, '.') + 1);
				while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key = CvProfileI18nPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj = CvProfileI18nPeer::getInstanceFromPool($key))) {
																$results[] = $obj;
			} else {
		
				$obj = new $cls();
				$obj->hydrate($row);
				$results[] = $obj;
				CvProfileI18nPeer::addInstanceToPool($obj, $key);
			} 		}
		$stmt->closeCursor();
		return $results;
	}

	
	public static function doCountJoinCvProfile(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(CvProfileI18nPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			CvProfileI18nPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(CvProfileI18nPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria->addJoin(array(CvProfileI18nPeer::ID,), array(CvProfilePeer::ID,), $join_behavior);

		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}


	
	public static function doSelectJoinCvProfile(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		CvProfileI18nPeer::addSelectColumns($c);
		$startcol = (CvProfileI18nPeer::NUM_COLUMNS - CvProfileI18nPeer::NUM_LAZY_LOAD_COLUMNS);
		CvProfilePeer::addSelectColumns($c);

		$c->addJoin(array(CvProfileI18nPeer::ID,), array(CvProfilePeer::ID,), $join_behavior);
		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = CvProfileI18nPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = CvProfileI18nPeer::getInstanceFromPool($key1))) {
															} else {

				$omClass = CvProfileI18nPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				CvProfileI18nPeer::addInstanceToPool($obj1, $key1);
			} 
			$key2 = CvProfilePeer::getPrimaryKeyHashFromRow($row, $startcol);
			if ($key2 !== null) {
				$obj2 = CvProfilePeer::getInstanceFromPool($key2);
				if (!$obj2) {

					$omClass = CvProfilePeer::getOMClass();

					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol);
					CvProfilePeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->addCvProfileI18n($obj1);

			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


	
	public static function doCountJoinAll(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(CvProfileI18nPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			CvProfileI18nPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(CvProfileI18nPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria->addJoin(array(CvProfileI18nPeer::ID,), array(CvProfilePeer::ID,), $join_behavior);
		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}

	
	public static function doSelectJoinAll(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		CvProfileI18nPeer::addSelectColumns($c);
		$startcol2 = (CvProfileI18nPeer::NUM_COLUMNS - CvProfileI18nPeer::NUM_LAZY_LOAD_COLUMNS);

		CvProfilePeer::addSelectColumns($c);
		$startcol3 = $startcol2 + (CvProfilePeer::NUM_COLUMNS - CvProfilePeer::NUM_LAZY_LOAD_COLUMNS);

		$c->addJoin(array(CvProfileI18nPeer::ID,), array(CvProfilePeer::ID,), $join_behavior);
		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = CvProfileI18nPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = CvProfileI18nPeer::getInstanceFromPool($key1))) {
															} else {
				$omClass = CvProfileI18nPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				CvProfileI18nPeer::addInstanceToPool($obj1, $key1);
			} 
			
			$key2 = CvProfilePeer::getPrimaryKeyHashFromRow($row, $startcol2);
			if ($key2 !== null) {
				$obj2 = CvProfilePeer::getInstanceFromPool($key2);
				if (!$obj2) {

					$omClass = CvProfilePeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol2);
					CvProfilePeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->addCvProfileI18n($obj1);
			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


  static public function getUniqueColumnNames()
  {
    return array();
  }
	
	public static function getTableMap()
	{
		return Propel::getDatabaseMap(self::DATABASE_NAME)->getTable(self::TABLE_NAME);
	}

	
	public static function getOMClass()
	{
		return CvProfileI18nPeer::CLASS_DEFAULT;
	}

	
	public static function doInsert($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(CvProfileI18nPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} else {
			$criteria = $values->buildCriteria(); 		}


				$criteria->setDbName(self::DATABASE_NAME);

		try {
									$con->beginTransaction();
			$pk = BasePeer::doInsert($criteria, $con);
			$con->commit();
		} catch(PropelException $e) {
			$con->rollBack();
			throw $e;
		}

		return $pk;
	}

	
	public static function doUpdate($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(CvProfileI18nPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		$selectCriteria = new Criteria(self::DATABASE_NAME);

		if ($values instanceof Criteria) {
			$criteria = clone $values; 
			$comparison = $criteria->getComparison(CvProfileI18nPeer::ID);
			$selectCriteria->add(CvProfileI18nPeer::ID, $criteria->remove(CvProfileI18nPeer::ID), $comparison);

			$comparison = $criteria->getComparison(CvProfileI18nPeer::CULTURE);
			$selectCriteria->add(CvProfileI18nPeer::CULTURE, $criteria->remove(CvProfileI18nPeer::CULTURE), $comparison);

		} else { 			$criteria = $values->buildCriteria(); 			$selectCriteria = $values->buildPkeyCriteria(); 		}

				$criteria->setDbName(self::DATABASE_NAME);

		return BasePeer::doUpdate($selectCriteria, $criteria, $con);
	}

	
	public static function doDeleteAll($con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(CvProfileI18nPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		$affectedRows = 0; 		try {
									$con->beginTransaction();
			$affectedRows += BasePeer::doDeleteAll(CvProfileI18nPeer::TABLE_NAME, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	 public static function doDelete($values, PropelPDO $con = null)
	 {
		if ($con === null) {
			$con = Propel::getConnection(CvProfileI18nPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
												CvProfileI18nPeer::clearInstancePool();

						$criteria = clone $values;
		} elseif ($values instanceof CvProfileI18n) {
						CvProfileI18nPeer::removeInstanceFromPool($values);
						$criteria = $values->buildPkeyCriteria();
		} else {
			


			$criteria = new Criteria(self::DATABASE_NAME);
												if (count($values) == count($values, COUNT_RECURSIVE)) {
								$values = array($values);
			}

			foreach ($values as $value) {

				$criterion = $criteria->getNewCriterion(CvProfileI18nPeer::ID, $value[0]);
				$criterion->addAnd($criteria->getNewCriterion(CvProfileI18nPeer::CULTURE, $value[1]));
				$criteria->addOr($criterion);

								CvProfileI18nPeer::removeInstanceFromPool($value);
			}
		}

				$criteria->setDbName(self::DATABASE_NAME);

		$affectedRows = 0; 
		try {
									$con->beginTransaction();
			
			$affectedRows += BasePeer::doDelete($criteria, $con);

			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	public static function doValidate(CvProfileI18n $obj, $cols = null)
	{
		$columns = array();

		if ($cols) {
			$dbMap = Propel::getDatabaseMap(CvProfileI18nPeer::DATABASE_NAME);
			$tableMap = $dbMap->getTable(CvProfileI18nPeer::TABLE_NAME);

			if (! is_array($cols)) {
				$cols = array($cols);
			}

			foreach ($cols as $colName) {
				if ($tableMap->containsColumn($colName)) {
					$get = 'get' . $tableMap->getColumn($colName)->getPhpName();
					$columns[$colName] = $obj->$get();
				}
			}
		} else {

		}

		$res =  BasePeer::doValidate(CvProfileI18nPeer::DATABASE_NAME, CvProfileI18nPeer::TABLE_NAME, $columns);
    if ($res !== true) {
        $request = sfContext::getInstance()->getRequest();
        foreach ($res as $failed) {
            $col = CvProfileI18nPeer::translateFieldname($failed->getColumn(), BasePeer::TYPE_COLNAME, BasePeer::TYPE_PHPNAME);
        }
    }

    return $res;
	}

	
	public static function retrieveByPK($id, $culture, PropelPDO $con = null) {
		$key = serialize(array((string) $id, (string) $culture));
 		if (null !== ($obj = CvProfileI18nPeer::getInstanceFromPool($key))) {
 			return $obj;
		}

		if ($con === null) {
			$con = Propel::getConnection(CvProfileI18nPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}
		$criteria = new Criteria(CvProfileI18nPeer::DATABASE_NAME);
		$criteria->add(CvProfileI18nPeer::ID, $id);
		$criteria->add(CvProfileI18nPeer::CULTURE, $culture);
		$v = CvProfileI18nPeer::doSelect($criteria, $con);

		return !empty($v) ? $v[0] : null;
	}
} 

Propel::getDatabaseMap(BaseCvProfileI18nPeer::DATABASE_NAME)->addTableBuilder(BaseCvProfileI18nPeer::TABLE_NAME, BaseCvProfileI18nPeer::getMapBuilder());

