<?php


abstract class BaseCvUmiejetnosciJezykiPeer {

	
	const DATABASE_NAME = 'propel';

	
	const TABLE_NAME = 'cv_umiejetnosci_jezyki';

	
	const CLASS_DEFAULT = 'lib.model.CvUmiejetnosciJezyki';

	
	const NUM_COLUMNS = 3;

	
	const NUM_LAZY_LOAD_COLUMNS = 0;

	
	const ID = 'cv_umiejetnosci_jezyki.ID';

	
	const CV_PROFILE = 'cv_umiejetnosci_jezyki.CV_PROFILE';

	
	const TYP = 'cv_umiejetnosci_jezyki.TYP';

	
	public static $instances = array();

	
	private static $mapBuilder = null;

	
	private static $fieldNames = array (
		BasePeer::TYPE_PHPNAME => array ('Id', 'CvProfile', 'Typ', ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('id', 'cvProfile', 'typ', ),
		BasePeer::TYPE_COLNAME => array (self::ID, self::CV_PROFILE, self::TYP, ),
		BasePeer::TYPE_FIELDNAME => array ('id', 'cv_profile', 'typ', ),
		BasePeer::TYPE_NUM => array (0, 1, 2, )
	);

	
	private static $fieldKeys = array (
		BasePeer::TYPE_PHPNAME => array ('Id' => 0, 'CvProfile' => 1, 'Typ' => 2, ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('id' => 0, 'cvProfile' => 1, 'typ' => 2, ),
		BasePeer::TYPE_COLNAME => array (self::ID => 0, self::CV_PROFILE => 1, self::TYP => 2, ),
		BasePeer::TYPE_FIELDNAME => array ('id' => 0, 'cv_profile' => 1, 'typ' => 2, ),
		BasePeer::TYPE_NUM => array (0, 1, 2, )
	);

	
	public static function getMapBuilder()
	{
		if (self::$mapBuilder === null) {
			self::$mapBuilder = new CvUmiejetnosciJezykiMapBuilder();
		}
		return self::$mapBuilder;
	}
	
	static public function translateFieldName($name, $fromType, $toType)
	{
		$toNames = self::getFieldNames($toType);
		$key = isset(self::$fieldKeys[$fromType][$name]) ? self::$fieldKeys[$fromType][$name] : null;
		if ($key === null) {
			throw new PropelException("'$name' could not be found in the field names of type '$fromType'. These are: " . print_r(self::$fieldKeys[$fromType], true));
		}
		return $toNames[$key];
	}

	

	static public function getFieldNames($type = BasePeer::TYPE_PHPNAME)
	{
		if (!array_key_exists($type, self::$fieldNames)) {
			throw new PropelException('Method getFieldNames() expects the parameter $type to be one of the class constants BasePeer::TYPE_PHPNAME, BasePeer::TYPE_STUDLYPHPNAME, BasePeer::TYPE_COLNAME, BasePeer::TYPE_FIELDNAME, BasePeer::TYPE_NUM. ' . $type . ' was given.');
		}
		return self::$fieldNames[$type];
	}

	
	public static function alias($alias, $column)
	{
		return str_replace(CvUmiejetnosciJezykiPeer::TABLE_NAME.'.', $alias.'.', $column);
	}

	
	public static function addSelectColumns(Criteria $criteria)
	{

		$criteria->addSelectColumn(CvUmiejetnosciJezykiPeer::ID);

		$criteria->addSelectColumn(CvUmiejetnosciJezykiPeer::CV_PROFILE);

		$criteria->addSelectColumn(CvUmiejetnosciJezykiPeer::TYP);

	}

	
	public static function doCount(Criteria $criteria, $distinct = false, PropelPDO $con = null)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(CvUmiejetnosciJezykiPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			CvUmiejetnosciJezykiPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 		$criteria->setDbName(self::DATABASE_NAME); 
		if ($con === null) {
			$con = Propel::getConnection(CvUmiejetnosciJezykiPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

				$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}
	
	public static function doSelectOne(Criteria $criteria, PropelPDO $con = null)
	{
		$critcopy = clone $criteria;
		$critcopy->setLimit(1);
		$objects = CvUmiejetnosciJezykiPeer::doSelect($critcopy, $con);
		if ($objects) {
			return $objects[0];
		}
		return null;
	}
	
	public static function doSelect(Criteria $criteria, PropelPDO $con = null)
	{
		return CvUmiejetnosciJezykiPeer::populateObjects(CvUmiejetnosciJezykiPeer::doSelectStmt($criteria, $con));
	}
	
	public static function doSelectStmt(Criteria $criteria, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(CvUmiejetnosciJezykiPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		if (!$criteria->hasSelectClause()) {
			$criteria = clone $criteria;
			CvUmiejetnosciJezykiPeer::addSelectColumns($criteria);
		}

				$criteria->setDbName(self::DATABASE_NAME);

				return BasePeer::doSelect($criteria, $con);
	}
	
	public static function addInstanceToPool(CvUmiejetnosciJezyki $obj, $key = null)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if ($key === null) {
				$key = (string) $obj->getId();
			} 			self::$instances[$key] = $obj;
		}
	}

	
	public static function removeInstanceFromPool($value)
	{
		if (Propel::isInstancePoolingEnabled() && $value !== null) {
			if (is_object($value) && $value instanceof CvUmiejetnosciJezyki) {
				$key = (string) $value->getId();
			} elseif (is_scalar($value)) {
								$key = (string) $value;
			} else {
				$e = new PropelException("Invalid value passed to removeInstanceFromPool().  Expected primary key or CvUmiejetnosciJezyki object; got " . (is_object($value) ? get_class($value) . ' object.' : var_export($value,true)));
				throw $e;
			}

			unset(self::$instances[$key]);
		}
	} 
	
	public static function getInstanceFromPool($key)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if (isset(self::$instances[$key])) {
				return self::$instances[$key];
			}
		}
		return null; 	}
	
	
	public static function clearInstancePool()
	{
		self::$instances = array();
	}
	
	
	public static function getPrimaryKeyHashFromRow($row, $startcol = 0)
	{
				if ($row[$startcol + 0] === null) {
			return null;
		}
		return (string) $row[$startcol + 0];
	}

	
	public static function populateObjects(PDOStatement $stmt)
	{
		$results = array();
	
				$cls = CvUmiejetnosciJezykiPeer::getOMClass();
		$cls = substr('.'.$cls, strrpos('.'.$cls, '.') + 1);
				while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key = CvUmiejetnosciJezykiPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj = CvUmiejetnosciJezykiPeer::getInstanceFromPool($key))) {
																$results[] = $obj;
			} else {
		
				$obj = new $cls();
				$obj->hydrate($row);
				$results[] = $obj;
				CvUmiejetnosciJezykiPeer::addInstanceToPool($obj, $key);
			} 		}
		$stmt->closeCursor();
		return $results;
	}

	
	public static function doCountJoinCvProfileRelatedByCvProfile(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(CvUmiejetnosciJezykiPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			CvUmiejetnosciJezykiPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(CvUmiejetnosciJezykiPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria->addJoin(array(CvUmiejetnosciJezykiPeer::CV_PROFILE,), array(CvProfilePeer::ID,), $join_behavior);

		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}


	
	public static function doSelectJoinCvProfileRelatedByCvProfile(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		CvUmiejetnosciJezykiPeer::addSelectColumns($c);
		$startcol = (CvUmiejetnosciJezykiPeer::NUM_COLUMNS - CvUmiejetnosciJezykiPeer::NUM_LAZY_LOAD_COLUMNS);
		CvProfilePeer::addSelectColumns($c);

		$c->addJoin(array(CvUmiejetnosciJezykiPeer::CV_PROFILE,), array(CvProfilePeer::ID,), $join_behavior);
		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = CvUmiejetnosciJezykiPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = CvUmiejetnosciJezykiPeer::getInstanceFromPool($key1))) {
															} else {

				$omClass = CvUmiejetnosciJezykiPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				CvUmiejetnosciJezykiPeer::addInstanceToPool($obj1, $key1);
			} 
			$key2 = CvProfilePeer::getPrimaryKeyHashFromRow($row, $startcol);
			if ($key2 !== null) {
				$obj2 = CvProfilePeer::getInstanceFromPool($key2);
				if (!$obj2) {

					$omClass = CvProfilePeer::getOMClass();

					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol);
					CvProfilePeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->addCvUmiejetnosciJezyki($obj1);

			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


	
	public static function doCountJoinAll(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(CvUmiejetnosciJezykiPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			CvUmiejetnosciJezykiPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(CvUmiejetnosciJezykiPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria->addJoin(array(CvUmiejetnosciJezykiPeer::CV_PROFILE,), array(CvProfilePeer::ID,), $join_behavior);
		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}

	
	public static function doSelectJoinAll(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		CvUmiejetnosciJezykiPeer::addSelectColumns($c);
		$startcol2 = (CvUmiejetnosciJezykiPeer::NUM_COLUMNS - CvUmiejetnosciJezykiPeer::NUM_LAZY_LOAD_COLUMNS);

		CvProfilePeer::addSelectColumns($c);
		$startcol3 = $startcol2 + (CvProfilePeer::NUM_COLUMNS - CvProfilePeer::NUM_LAZY_LOAD_COLUMNS);

		$c->addJoin(array(CvUmiejetnosciJezykiPeer::CV_PROFILE,), array(CvProfilePeer::ID,), $join_behavior);
		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = CvUmiejetnosciJezykiPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = CvUmiejetnosciJezykiPeer::getInstanceFromPool($key1))) {
															} else {
				$omClass = CvUmiejetnosciJezykiPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				CvUmiejetnosciJezykiPeer::addInstanceToPool($obj1, $key1);
			} 
			
			$key2 = CvProfilePeer::getPrimaryKeyHashFromRow($row, $startcol2);
			if ($key2 !== null) {
				$obj2 = CvProfilePeer::getInstanceFromPool($key2);
				if (!$obj2) {

					$omClass = CvProfilePeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol2);
					CvProfilePeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->addCvUmiejetnosciJezyki($obj1);
			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


  
  public static function doSelectWithI18n(Criteria $c, $culture = null, PropelPDO $con = null)
  {
        $c = clone $c;
    if ($culture === null)
    {
      $culture = sfPropel::getDefaultCulture();
    }

        if ($c->getDbName() == Propel::getDefaultDB())
    {
      $c->setDbName(self::DATABASE_NAME);
    }

    CvUmiejetnosciJezykiPeer::addSelectColumns($c);
    $startcol = (CvUmiejetnosciJezykiPeer::NUM_COLUMNS - CvUmiejetnosciJezykiPeer::NUM_LAZY_LOAD_COLUMNS);

    CvUmiejetnosciJezykiI18nPeer::addSelectColumns($c);

    $c->addJoin(CvUmiejetnosciJezykiPeer::ID, CvUmiejetnosciJezykiI18nPeer::ID);
    $c->add(CvUmiejetnosciJezykiI18nPeer::CULTURE, $culture);

    $stmt = BasePeer::doSelect($c, $con);
    $results = array();

    while($row = $stmt->fetch(PDO::FETCH_NUM)) {

      $omClass = CvUmiejetnosciJezykiPeer::getOMClass();

      $cls = Propel::importClass($omClass);
      $obj1 = new $cls();
      $obj1->hydrate($row);
      $obj1->setCulture($culture);

      $omClass = CvUmiejetnosciJezykiI18nPeer::getOMClass();

      $cls = Propel::importClass($omClass);
      $obj2 = new $cls();
      $obj2->hydrate($row, $startcol);

      $obj1->setCvUmiejetnosciJezykiI18nForCulture($obj2, $culture);
      $obj2->setCvUmiejetnosciJezyki($obj1);

      $results[] = $obj1;
    }
    return $results;
  }


  
  public static function getI18nModel()
  {
    return 'CvUmiejetnosciJezykiI18n';
  }


  static public function getUniqueColumnNames()
  {
    return array();
  }
	
	public static function getTableMap()
	{
		return Propel::getDatabaseMap(self::DATABASE_NAME)->getTable(self::TABLE_NAME);
	}

	
	public static function getOMClass()
	{
		return CvUmiejetnosciJezykiPeer::CLASS_DEFAULT;
	}

	
	public static function doInsert($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(CvUmiejetnosciJezykiPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} else {
			$criteria = $values->buildCriteria(); 		}

		if ($criteria->containsKey(CvUmiejetnosciJezykiPeer::ID) && $criteria->keyContainsValue(CvUmiejetnosciJezykiPeer::ID) ) {
			throw new PropelException('Cannot insert a value for auto-increment primary key ('.CvUmiejetnosciJezykiPeer::ID.')');
		}


				$criteria->setDbName(self::DATABASE_NAME);

		try {
									$con->beginTransaction();
			$pk = BasePeer::doInsert($criteria, $con);
			$con->commit();
		} catch(PropelException $e) {
			$con->rollBack();
			throw $e;
		}

		return $pk;
	}

	
	public static function doUpdate($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(CvUmiejetnosciJezykiPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		$selectCriteria = new Criteria(self::DATABASE_NAME);

		if ($values instanceof Criteria) {
			$criteria = clone $values; 
			$comparison = $criteria->getComparison(CvUmiejetnosciJezykiPeer::ID);
			$selectCriteria->add(CvUmiejetnosciJezykiPeer::ID, $criteria->remove(CvUmiejetnosciJezykiPeer::ID), $comparison);

		} else { 			$criteria = $values->buildCriteria(); 			$selectCriteria = $values->buildPkeyCriteria(); 		}

				$criteria->setDbName(self::DATABASE_NAME);

		return BasePeer::doUpdate($selectCriteria, $criteria, $con);
	}

	
	public static function doDeleteAll($con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(CvUmiejetnosciJezykiPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		$affectedRows = 0; 		try {
									$con->beginTransaction();
			$affectedRows += BasePeer::doDeleteAll(CvUmiejetnosciJezykiPeer::TABLE_NAME, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	 public static function doDelete($values, PropelPDO $con = null)
	 {
		if ($con === null) {
			$con = Propel::getConnection(CvUmiejetnosciJezykiPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
												CvUmiejetnosciJezykiPeer::clearInstancePool();

						$criteria = clone $values;
		} elseif ($values instanceof CvUmiejetnosciJezyki) {
						CvUmiejetnosciJezykiPeer::removeInstanceFromPool($values);
						$criteria = $values->buildPkeyCriteria();
		} else {
			


			$criteria = new Criteria(self::DATABASE_NAME);
			$criteria->add(CvUmiejetnosciJezykiPeer::ID, (array) $values, Criteria::IN);

			foreach ((array) $values as $singleval) {
								CvUmiejetnosciJezykiPeer::removeInstanceFromPool($singleval);
			}
		}

				$criteria->setDbName(self::DATABASE_NAME);

		$affectedRows = 0; 
		try {
									$con->beginTransaction();
			
			$affectedRows += BasePeer::doDelete($criteria, $con);

						CvUmiejetnosciJezykiI18nPeer::clearInstancePool();

			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	public static function doValidate(CvUmiejetnosciJezyki $obj, $cols = null)
	{
		$columns = array();

		if ($cols) {
			$dbMap = Propel::getDatabaseMap(CvUmiejetnosciJezykiPeer::DATABASE_NAME);
			$tableMap = $dbMap->getTable(CvUmiejetnosciJezykiPeer::TABLE_NAME);

			if (! is_array($cols)) {
				$cols = array($cols);
			}

			foreach ($cols as $colName) {
				if ($tableMap->containsColumn($colName)) {
					$get = 'get' . $tableMap->getColumn($colName)->getPhpName();
					$columns[$colName] = $obj->$get();
				}
			}
		} else {

		}

		$res =  BasePeer::doValidate(CvUmiejetnosciJezykiPeer::DATABASE_NAME, CvUmiejetnosciJezykiPeer::TABLE_NAME, $columns);
    if ($res !== true) {
        $request = sfContext::getInstance()->getRequest();
        foreach ($res as $failed) {
            $col = CvUmiejetnosciJezykiPeer::translateFieldname($failed->getColumn(), BasePeer::TYPE_COLNAME, BasePeer::TYPE_PHPNAME);
        }
    }

    return $res;
	}

	
	public static function retrieveByPK($pk, PropelPDO $con = null)
	{

		if (null !== ($obj = CvUmiejetnosciJezykiPeer::getInstanceFromPool((string) $pk))) {
			return $obj;
		}

		if ($con === null) {
			$con = Propel::getConnection(CvUmiejetnosciJezykiPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria = new Criteria(CvUmiejetnosciJezykiPeer::DATABASE_NAME);
		$criteria->add(CvUmiejetnosciJezykiPeer::ID, $pk);

		$v = CvUmiejetnosciJezykiPeer::doSelect($criteria, $con);

		return !empty($v) > 0 ? $v[0] : null;
	}

	
	public static function retrieveByPKs($pks, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(CvUmiejetnosciJezykiPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$objs = null;
		if (empty($pks)) {
			$objs = array();
		} else {
			$criteria = new Criteria(CvUmiejetnosciJezykiPeer::DATABASE_NAME);
			$criteria->add(CvUmiejetnosciJezykiPeer::ID, $pks, Criteria::IN);
			$objs = CvUmiejetnosciJezykiPeer::doSelect($criteria, $con);
		}
		return $objs;
	}

} 

Propel::getDatabaseMap(BaseCvUmiejetnosciJezykiPeer::DATABASE_NAME)->addTableBuilder(BaseCvUmiejetnosciJezykiPeer::TABLE_NAME, BaseCvUmiejetnosciJezykiPeer::getMapBuilder());

